Mailinglist Archive: opensuse-factory (586 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20160830 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20160830

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
NetworkManager
accountsservice
akonadi-calendar (16.04.3 -> 16.08.0)
akonadi-contact (16.04.3 -> 16.08.0)
akonadi-mime (16.04.3 -> 16.08.0)
akonadi-notes (16.04.3 -> 16.08.0)
akonadi-search (16.04.3 -> 16.08.0)
akonadi-server (16.04.3 -> 16.08.0)
analitza (16.04.3 -> 16.08.0)
apparmor
ark (16.04.3 -> 16.08.0)
attica-qt5 (5.24.0 -> 5.25.0)
autoyast2 (3.1.147 -> 3.1.149)
baloo5 (5.24.0 -> 5.25.0)
baloo5-widgets (16.04.3 -> 16.08.0)
blinken (16.04.3 -> 16.08.0)
bluedevil5 (5.7.3 -> 5.7.4)
bluez-qt (5.24.0 -> 5.25.0)
bovo (16.04.3 -> 16.08.0)
breeze (5.7.3 -> 5.7.4)
breeze-gtk (5.7.3 -> 5.7.4)
breeze5-icons (5.24.0 -> 5.25.0)
calendarsupport (16.04.3 -> 16.08.0)
cantarell-fonts (0.0.24 -> 0.0.25)
ceph (10.2.2+git.1471622341.b446b70 -> 11.0.0+git.1472455009.a17726c)
cervisia (16.04.3 -> 16.08.0)
cmake
cogl (1.22.0 -> 1.22.2)
dolphin (16.04.3 -> 16.08.0)
dragonplayer (16.04.3 -> 16.08.0)
eventviews (16.04.3 -> 16.08.0)
extra-cmake-modules (5.24.0 -> 5.25.0)
frameworkintegration (5.24.0 -> 5.25.0)
gcr
gitg (3.20.1 -> 3.20.2)
gnome-packagekit
gnome-settings-daemon
gpg2 (2.1.13 -> 2.1.15)
gpgmepp5 (16.04.3 -> 16.08.0)
gpsd (3.15 -> 3.16)
grantleetheme (16.04.3 -> 16.08.0)
grilo-plugins
gsettings-desktop-schemas
gtk-vnc (0.5.4 -> 0.6.0)
gwenview5 (16.04.3 -> 16.08.0)
icewm
incidenceeditor (16.04.3 -> 16.08.0)
java-1_5_0-gcj-compat
juk (16.04.3 -> 16.08.0)
kaccounts-integration (16.04.3 -> 16.08.0)
kaccounts-providers (16.04.3 -> 16.08.0)
kactivities-stats (5.24.0 -> 5.25.0)
kactivities5 (5.24.0 -> 5.25.0)
kactivitymanagerd (5.7.3 -> 5.7.4)
kalarmcal (16.04.3 -> 16.08.0)
kalgebra (16.04.3 -> 16.08.0)
kalzium (16.04.3 -> 16.08.0)
kamera (16.04.3 -> 16.08.0)
kanagram (16.04.3 -> 16.08.0)
kapptemplate (16.04.3 -> 16.08.0)
karchive (5.24.0 -> 5.25.0)
kate (16.04.3 -> 16.08.0)
katomic (16.04.3 -> 16.08.0)
kauth (5.24.0 -> 5.25.0)
kblackbox (16.04.3 -> 16.08.0)
kblocks (16.04.3 -> 16.08.0)
kbookmarks (5.24.0 -> 5.25.0)
kbounce (16.04.3 -> 16.08.0)
kbreakout (16.04.3 -> 16.08.0)
kbruch (16.04.3 -> 16.08.0)
kcachegrind (16.04.3 -> 16.08.0)
kcalc (16.04.3 -> 16.08.0)
kcalcore (16.04.3 -> 16.08.0)
kcalutils (16.04.3 -> 16.08.0)
kcharselect (16.04.3 -> 16.08.0)
kcm_sddm (5.7.3 -> 5.7.4)
kcmutils (5.24.0 -> 5.25.0)
kcodecs (5.24.0 -> 5.25.0)
kcolorchooser (16.04.3 -> 16.08.0)
kcompletion (5.24.0 -> 5.25.0)
kconfig (5.24.0 -> 5.25.0)
kconfigwidgets (5.24.0 -> 5.25.0)
kcontacts (16.04.3 -> 16.08.0)
kcoreaddons (5.24.0 -> 5.25.0)
kcrash (5.24.0 -> 5.25.0)
kcron (16.04.3 -> 16.08.0)
kdbusaddons (5.24.0 -> 5.25.0)
kde-cli-tools5 (5.7.3 -> 5.7.4)
kde-gtk-config5 (5.7.3 -> 5.7.4)
kde-l10n (16.04.3 -> 16.08.0)
kde-print-manager (16.04.3 -> 16.08.0)
kde-user-manager (5.7.3 -> 5.7.4)
kdebase4 (16.04.3 -> 16.08.0)
kdebase4-runtime (16.04.3 -> 16.08.0)
kdeclarative (5.24.0 -> 5.25.0)
kded (5.24.0 -> 5.25.0)
kdeedu-data (16.04.3 -> 16.08.0)
kdelibs4 (4.14.22 -> 4.14.23)
kdelibs4support (5.24.0 -> 5.25.0)
kdenetwork4-filesharing (16.04.3 -> 16.08.0)
kdepim (16.04.3 -> 16.08.0)
kdepim-addons (16.04.3 -> 16.08.0)
kdepim-apps-libs (16.04.3 -> 16.08.0)
kdepim-runtime (16.04.3 -> 16.08.0)
kdesdk4-scripts (16.04.3 -> 16.08.0)
kdesignerplugin (5.24.0 -> 5.25.0)
kdesu (5.24.0 -> 5.25.0)
kdewebdev4 (16.04.3 -> 16.08.0)
kdewebkit (5.24.0 -> 5.25.0)
kdf (16.04.3 -> 16.08.0)
kdgantt2 (16.04.3 -> 16.08.0)
kdiamond (16.04.3 -> 16.08.0)
kdnssd (16.04.3 -> 16.08.0)
kdnssd-framework (5.24.0 -> 5.25.0)
kdoctools (5.24.0 -> 5.25.0)
kemoticons (5.24.0 -> 5.25.0)
kf5-filesystem (20160420 -> 20160807)
kfilemetadata5 (5.24.0 -> 5.25.0)
kgamma5 (5.7.3 -> 5.7.4)
kgeography (16.04.3 -> 16.08.0)
kget (16.04.3 -> 16.08.0)
kglobalaccel (5.24.0 -> 5.25.0)
kgoldrunner (16.04.3 -> 16.08.0)
kgpg (16.04.3 -> 16.08.0)
kguiaddons (5.24.0 -> 5.25.0)
khangman (16.04.3 -> 16.08.0)
kholidays (16.04.3 -> 16.08.0)
khotkeys5 (5.7.3 -> 5.7.4)
khtml (5.24.0 -> 5.25.0)
ki18n (5.24.0 -> 5.25.0)
kiconthemes (5.24.0 -> 5.25.0)
kidentitymanagement (16.04.3 -> 16.08.0)
kidletime (5.24.0 -> 5.25.0)
kig (16.04.3 -> 16.08.0)
kimageformats (5.24.0 -> 5.25.0)
kimap (16.04.3 -> 16.08.0)
kinfocenter5 (5.7.3 -> 5.7.4)
kinit (5.24.0 -> 5.25.0)
kio (5.24.0 -> 5.25.0)
kio-extras5 (16.04.3 -> 16.08.0)
kio_audiocd (16.04.3 -> 16.08.0)
kiriki (16.04.3 -> 16.08.0)
kitemmodels (5.24.0 -> 5.25.0)
kitemviews (5.24.0 -> 5.25.0)
kiten (16.04.3 -> 16.08.0)
kjobwidgets (5.24.0 -> 5.25.0)
kjs (5.24.0 -> 5.25.0)
kjsembed (5.24.0 -> 5.25.0)
kjumpingcube (16.04.3 -> 16.08.0)
kldap (16.04.3 -> 16.08.0)
kleopatra5 (16.04.3 -> 16.08.0)
klettres (16.04.3 -> 16.08.0)
kmag (16.04.3 -> 16.08.0)
kmahjongg (16.04.3 -> 16.08.0)
kmailtransport (16.04.3 -> 16.08.0)
kmbox (16.04.3 -> 16.08.0)
kmediaplayer (5.24.0 -> 5.25.0)
kmenuedit5 (5.7.3 -> 5.7.4)
kmime (16.04.3 -> 16.08.0)
kmines (16.04.3 -> 16.08.0)
kmousetool (16.04.3 -> 16.08.0)
kmouth (16.04.3 -> 16.08.0)
kmplot (16.04.3 -> 16.08.0)
knavalbattle (16.04.3 -> 16.08.0)
knetwalk (16.04.3 -> 16.08.0)
knewstuff (5.24.0 -> 5.25.0)
knotifications (5.24.0 -> 5.25.0)
knotifyconfig (5.24.0 -> 5.25.0)
kolf (16.04.3 -> 16.08.0)
kollision (16.04.3 -> 16.08.0)
kolourpaint (16.04.3 -> 16.08.0)
kompare (16.04.3 -> 16.08.0)
konquest (16.04.3 -> 16.08.0)
konsole (16.04.3 -> 16.08.0)
kontactinterface (16.04.3 -> 16.08.0)
kopete (16.04.3 -> 16.08.0)
kpackage (5.24.0 -> 5.25.0)
kparts (5.24.0 -> 5.25.0)
kpat (16.04.3 -> 16.08.0)
kpeople5 (5.24.0 -> 5.25.0)
kpimtextedit (16.04.3 -> 16.08.0)
kplotting (5.24.0 -> 5.25.0)
kppp (16.04.3 -> 16.08.0)
kpty (5.24.0 -> 5.25.0)
kqtquickcharts (16.04.3 -> 16.08.0)
krdc (16.04.3 -> 16.08.0)
kremotecontrol (16.04.3 -> 16.08.0)
kreversi (16.04.3 -> 16.08.0)
krfb (16.04.3 -> 16.08.0)
kross (5.24.0 -> 5.25.0)
kruler (16.04.3 -> 16.08.0)
krunner (5.24.0 -> 5.25.0)
kscd (16.04.3 -> 16.08.0)
kscreen5 (5.7.3 -> 5.7.4)
kscreenlocker (5.7.3 -> 5.7.4)
kservice (5.24.0 -> 5.25.0)
kshisen (16.04.3 -> 16.08.0)
ksirk (16.04.3 -> 16.08.0)
kspaceduel (16.04.3 -> 16.08.0)
ksquares (16.04.3 -> 16.08.0)
ksshaskpass5 (5.7.3 -> 5.7.4)
ksudoku (16.04.3 -> 16.08.0)
ksysguard5 (5.7.3 -> 5.7.4)
ksystemlog (16.04.3 -> 16.08.0)
kteatime (16.04.3 -> 16.08.0)
ktexteditor (5.24.0 -> 5.25.0)
ktextwidgets (5.24.0 -> 5.25.0)
ktimer (16.04.3 -> 16.08.0)
ktnef (16.04.3 -> 16.08.0)
ktouch (16.04.3 -> 16.08.0)
ktp-accounts-kcm (16.04.3 -> 16.08.0)
ktp-approver (16.04.3 -> 16.08.0)
ktp-auth-handler (16.04.3 -> 16.08.0)
ktp-common-internals (16.04.3 -> 16.08.0)
ktp-contact-list (16.04.3 -> 16.08.0)
ktp-contact-runner (16.04.3 -> 16.08.0)
ktp-desktop-applets (16.04.3 -> 16.08.0)
ktp-filetransfer-handler (16.04.3 -> 16.08.0)
ktp-kded-module (16.04.3 -> 16.08.0)
ktp-send-file (16.04.3 -> 16.08.0)
ktp-text-ui (16.04.3 -> 16.08.0)
ktuberling (16.04.3 -> 16.08.0)
kturtle (16.04.3 -> 16.08.0)
kubrick (16.04.3 -> 16.08.0)
kunitconversion (5.24.0 -> 5.25.0)
kwallet (5.24.0 -> 5.25.0)
kwalletmanager5 (16.04.3 -> 16.08.0)
kwayland (5.24.0 -> 5.25.0)
kwidgetsaddons (5.24.0 -> 5.25.0)
kwin5 (5.7.3 -> 5.7.4)
kwindowsystem (5.24.0 -> 5.25.0)
kwordquiz (16.04.3 -> 16.08.0)
kxmlgui (5.24.0 -> 5.25.0)
kxmlrpcclient5 (5.24.0 -> 5.25.0)
libKF5ModemManagerQt (5.24.0 -> 5.25.0)
libKF5NetworkManagerQt (5.24.0 -> 5.25.0)
libcroco
libgcrypt (1.6.6 -> 1.7.3)
libgit2-glib (0.24.0 -> 0.24.3)
libgravatar (16.04.3 -> 16.08.0)
libgsf (1.14.39 -> 1.14.40)
libgweather (3.20.2 -> 3.20.3)
libkcddb4 (16.04.3 -> 16.08.0)
libkcompactdisc4 (16.04.3 -> 16.08.0)
libkdcraw (16.04.3 -> 16.08.0)
libkdecoration2 (5.7.3 -> 5.7.4)
libkdegames (16.04.3 -> 16.08.0)
libkdepim (16.04.3 -> 16.08.0)
libkeduvocdocument (16.04.3 -> 16.08.0)
libkexiv2 (16.04.3 -> 16.08.0)
libkface (16.04.3 -> 16.08.0)
libkgeomap (16.04.3 -> 16.08.0)
libkipi (16.04.3 -> 16.08.0)
libkleo (16.04.3 -> 16.08.0)
libkmahjongg (16.04.3 -> 16.08.0)
libkomparediff2 (16.04.3 -> 16.08.0)
libksane (16.04.3 -> 16.08.0)
libkscreen2 (5.7.3 -> 5.7.4)
libksieve (16.04.3 -> 16.08.0)
libksysguard5 (5.7.3 -> 5.7.4)
libqca2
libvirt (2.0.0 -> 2.1.0)
libvirt-python (2.0.0 -> 2.1.0)
lokalize (16.04.3 -> 16.08.0)
lskat (16.04.3 -> 16.08.0)
lsof
mailcommon (16.04.3 -> 16.08.0)
mailimporter (16.04.3 -> 16.08.0)
marble (16.04.3 -> 16.08.0)
messagelib (16.04.3 -> 16.08.0)
milou5 (5.7.3 -> 5.7.4)
mlocate
mobipocket (16.04.3 -> 16.08.0)
mozc
nss_ldap
obs-service-tar_scm (0.6.0.1469628830.67456b7 -> 0.6.1.1471594222.d257927)
okteta (16.04.3 -> 16.08.0)
okular (16.04.3 -> 16.08.0)
oxygen5 (5.7.3 -> 5.7.4)
oxygen5-icon-theme (5.24.0 -> 5.25.0)
pangomm (2.40.0 -> 2.40.1)
parley (16.04.3 -> 16.08.0)
patterns-openSUSE
pimcommon (16.04.3 -> 16.08.0)
pixman
plasma-framework (5.24.0 -> 5.25.0)
plasma-nm5 (5.7.3 -> 5.7.4)
plasma5-addons (5.7.3 -> 5.7.4)
plasma5-desktop (5.7.3 -> 5.7.4)
plasma5-integration (5.7.3 -> 5.7.4)
plasma5-openSUSE
plasma5-pa (5.7.3 -> 5.7.4)
plasma5-pk-updates
plasma5-session (5.7.2 -> 5.7.4)
plasma5-workspace (5.7.3 -> 5.7.4)
polkit-kde-agent-5 (5.7.3 -> 5.7.4)
powerdevil5 (5.7.3 -> 5.7.4)
poxml (16.04.3 -> 16.08.0)
primus (20131226 -> 0+git20150328.d1afbf6)
signon-kwallet-extension (16.04.3 -> 16.08.0)
solid (5.24.0 -> 5.25.0)
sonnet (5.24.0 -> 5.25.0)
spectacle (16.04.3 -> 16.08.0)
sssd (1.14.0 -> 1.14.1)
step (16.04.3 -> 16.08.0)
sweeper (16.04.3 -> 16.08.0)
syndication (16.04.3 -> 16.08.0)
systemsettings5 (5.7.3 -> 5.7.4)
telepathy-glib
threadweaver (5.24.0 -> 5.25.0)
umbrello (16.04.3 -> 16.08.0)
usb_modeswitch
yast2 (3.1.203 -> 3.1.205)
yast2-bootloader (3.1.199 -> 3.1.203)
yast2-installation (3.1.210 -> 3.1.213)
yast2-network (3.1.167 -> 3.1.168)
yast2-packager (3.1.115 -> 3.1.116)
yast2-storage (3.1.101 -> 3.1.102)
yast2-update (3.1.41 -> 3.1.42)

=== Details ===

==== NetworkManager ====
Subpackages: NetworkManager-devel libnm-glib-vpn1 libnm-glib4 libnm-util2
libnm0 typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0
typelib-1_0-NetworkManager-1_0

- Modify nm-probe-radius-server-cert.patch: Make sure the "Apply"
button in Wifi configuration page of gnome-control-center is
clickable.(bsc#985332)
- Move provides NetworkManager(cacert-patch) to libnm-util2, to
ensure gnome-control-center doesn't hard requires NetworkManager.
- Update to version 1.0.12 (FATE#318572)
- drop nm-core-fix-crash-during-Wi-Fi-rescan-by-emitting-NM_DE.patch
contained in version 0.9.9.1.
- Rebase NetworkManager-geoclue-interaction.patch
- Rebase nm-don-t-consider-not-needed-secrets-for-has_system_secr.diff
- Rebase nm-treat-not-saved-secrets-just-like-agent-owned-when-cl.diff
- Rebase systemd-network-config.patch
- Rebase nm-probe-radius-server-cert.patch
- nm-treat-not-saved-secrets-just-like-agent-owned-when-cl.diff
rebased.
_ Update to version 1.0.12:
+ DHCP leases on software devices are now renewed when the
computer is awoken from suspend.
+ Improved ifupdown plugin robustness and interoperability on
Yocto and OpenEmbedded.
+ Fixed failed VPN activations when plugin supports interactive
mode, but the VPN daemon does not.
+ Wi-Fi monitor interfaces are now ignored, not turned into
managed mode.
+ AP and AdHoc mode connections with manual IP configuration are
now able to autoconnect.
+ Broken device drivers (AWS ENI) that initially have invalid
MAC addresses are now properly managed as soon as correct MAC
address is set.
+ WWAN devices are unlocked a bit earlier so that supported IP
versions can be queried.
+ The NetworkManager.service was ordered after
network-pre.target and dbus.service. This ensures
NetworkManager doesn't set up connectivity before firewall
rules are in place and wouldn't exit before remote filesystems
can be umounted ensuring orderly operation of systemd managed
installations.
+ The netfilter rules used with shared IPv4 method are now
removed on exit.
+ Ability to manage USB gadget drivers (UDC side) has beed
added.
+ Infiniband transport mode change now takes place with the link
set down because some drivers need that.
+ Race conditions that could disclose connection secrets to
authenticated local users when changing ifcfg and keyfile
connections have been fixed. This has security impact of low
severity (CVE-2016-0764).
+ A handful of memory leak and crasher bugs of minor importance
have been fixed.
- Drop patches incorporated upstream:
- NetworkManager-openvpn-route-configuration.patch.
- nm-ppp-manager-clear-ppp_watch_id.patch.
- nm-update-ip_iface-only-if-IP-interface-exists.patch.
- Rebase systemd-network-config.patch for updated version.
- nm-don-t-consider-not-needed-secrets-for-has_system_secr.diff
rebased.
- Split out a NetworkManager-branding-upstream subpackage that
installs the default upstream version of the
/etc/NetworkManager/NetworkManager.conf file.
- Add Requires: NetworkManager-branding to main package.
- Add nm-ppp-manager-clear-ppp_watch_id.patch and
nm-update-ip_iface-only-if-IP-interface-exists.patch: Patches
from upstream git cherrypicked to stable branch from master.
- Add NetworkManager-openvpn-route-configuration.patch: Fix routes
not being applied when connecting to openVPN.
- Add explicit pkgconfig(libteam) BuildRequires: force team
connection support.
- Update to version 1.0.10:
+ Added support for handling VPN secrets to nmtui and nmcli agent.
+ Fixed a regression that caused NetworkManager to ignore
external deletion of a device with master.
+ Fixed glitches with older versions of glib (prior to 2.36.0).
+ Fixed build with most recent versions of libsoup.
+ Fixed busy retry loop on non-transient errors from
wpa_supplicant.
+ Improvements to testing infrastructure.
+ Updated translations.
- Update to version 1.0.8:
+ MTU indicated by a VPN gateway is now properly applied.
+ Fixed MSS setting when MTU changes.
+ The default route is properly restored on device disconnect.
+ Build with older toolchains has been fixed.
+ The team devices can now properly be enslaved to bridges.
+ Failed DHCP attempts for assumed connections are now retried
after a timeout.
+ Default wired connection is now created after udev registers
the device.
+ Support for Bluetooth DUN devices with Bluez 5 has been fixed.
+ The ipv6.ignore-auto-dns property is now properly honored
making it possible to override automatically obtained name
servers.
+ Invalid permanent MAC adddresses as reported by some devices
are now ignored.
+ Device links reported by more recent versions of Linux kernel
that reside in different network namespaces are no longer
confused with links in the namespace NetworkManager runs in.
+ MAC address changes of VLANs enslaved to a bond are now
properly propagated to the master device.
+ Fixed error handling for teaming devices with invalid
configuration.
+ Wi-Fi AP list is now updated correctly after AP mode has been
used.
+ Management of a device is not attempted until the device has
been registered with udev.
+ The error handling for VPN secret agents is now significantly
more robust.
+ Detection of s390 CTC devices now works properly.
+ A GATEWAY property in /etc/sysconfig/network now no longer
affects non-static connections.
+ Added support for IPv6-only VPN connections.
+ The systemd service now uses HUP signal to reload
configuration.
+ Change VLAN default flags to set REORDER_HDR for new
connections.
+ nmtui is now able to ignore automatically configured routes.
+ Numerous bash shell autocompletion fixes for nmcli.
+ Allow setting IPv6 and PPP settings for GSM and CDMA
connections via nmcli.
+ Added support for adding ADSL connections in nmcli.
+ Numerous crash fixes.
+ Updated translations.
- Rebase NetworkManager-geoclue-interaction.patch.
- Update to version 1.0.6:
+ Improved capture portal detection.
+ Default route through WiFi connection is now preferred to
Mobile Broadband if both are available.
+ Expose a flag to determine whether a particular connection is
metered via API and client tools.
+ Add support for locking connections to a channel within a
particular band.
+ Add support for configuring Wake-on-LAN capabilitites.
+ Allow overriding the MTU for team device.
+ Usual pile of bug fixes and robustness improvements.
- Rebase NetworkManager-geoclue-interaction.patch .
- Toggle with_cacert_patch to 1: the patch has been rebased.
- Change nfs dispatcher-script to be more reliable in mixed ip v4
v6 environments.
- Rebase nm-probe-radius-server-cert.patch for 1.0.4 (bsc#938198).
- Add explicit pkgconfig(udev) BuildRequires: we need it to define
%{_udevdir}.
- Update to version 1.0.4:
+ The MTU setting from an IPv6 neighbor discovery Router
Advertisements is now ignored if applying it would result in
invalid configuration.
+ Some configuration options can now be changed without
restarting the daemon. Notably, this applies to 'dns',
'connectivity' and 'ignore-carrier' settings.
+ The connection activation was made more robust. If an active
connection is reactivated, the device it's active on takes
precedence. If an attempt is made to activate a connection on a
different device than it is active on, the activation proceeds
removing the connection from the active device.
+ The device specifiers in configuration files now support
negation via 'except:' match.
+ Devices that only have IPv6 link-local address are no longer
assumed to be connected.
+ nmcli now provides hints and tab-completion for enumeration
properties.
+ If the IPv6 interface tokens are set they are honored when
creating an interface identifier for IPv6 addressing.
+ NetworkManager now maintains correct routing configuration when
multiple interfaces are connected to the same network.
+ The management of devices can now be controlled with udev
rules. The veth devices as well as the virtual Ethernet devices
of various virtualization tools (VMWare, VirtualBox, Parallels
Workstation) are now ignored by default.
+ The IPv6 privacy extensions are now enabled by default and
handling of the ip6-privacy sysctl has been improved.
+ Activating a Bond, Bridge or Team device can now optionally
activate the slave connections as well. The behavior is
controlled with 'connection.autoconnect-slaves' property.
+ The platform support code has been refactored, resulting in
better scalability in large configurations.
+ Changes to network interfaces configuration done outside
NetworkManager are now picked up and exposed to the user via
NetworkManager API and tools.
+ A connection can now optionally leave externally configured
default route in place instead of overriding it. The behavior
is controlled with 'ipv4.never-default' and
'ipv6.never-default' properties.
+ Multiple crasher and memory leak bugs in the daemon were fixed.
+ Multiple bugs that could cause the client tools to hang or
crash were fixed.
+ nmcli allows multiple devices for 'nmcli device
disconnect/delete'.
+ Firewall zone is added to firewalld for device-based VPN
connections too.
- Toggle with_cacert_patch to 0: the Radius CA patch neeeds to be
reworked. Wrap applying the patch into a with_cacert_patch
condition, to make enabling/disabling a one-stop change.
- Update to version 1.0.2:
+ Wi-Fi devices now indicate support for 2GHz and 5GHz
frequencies.
+ "nmcli device" output now indicates physical port ID
+ New config items added to the 'ifcfg-rh' plugin:
- IPV4_ROUTE_METRIC and IPV6_ROUTE_METRIC.
- DEVTIMEOUT.
- IPADDR and PREFIX are now supported for specifying address
ranges of shared IPv4 connections.
+ Dispatcher scripts now get a CONNECTION_FILENAME variable with
the path to the configuration file for the connection.
+ An example dispatcher script that is able to apply complex
routing rules (such as setting up policy-based routing) for
'ifcfg-rh' connections was added to examples/dispatcher/.
+ 'mode' key of Bond device options property now accepts numeric
values.
+ Connection attempts for devices without carrier on startup now
wait for carrier to appear within a short timeout instead of
failing immediately. This makes system startup more robust.
+ Bridge connectivity is now properly restored on resume from
suspend.
+ The D-Bus name is acquired earlier during the daemon startup.
This makes it possible for the systemd service manager to
optimize the service startup so that services that require
networking are activated sooner contributing to faster system
start up time.
+ A lot of memory leak problems were fixed, resulting in reduced
memory usage. Many of them were discovered as a result of
improvements in use of Valgrind in the testing infrastructure.
+ Management of 'teamd' daemon instances for Team devices is now
more robust.
+ The 'dnsmasq' daemon respawns when it terminates and it is
configured for management of DNS resolver configuration.
+ Hostnames that are not fully qualified are no longer sent to a
DHCPv6 server for a dynamic DNS update.
+ Connection UUIDs are now checked for uniqueness when connection
configurations are read.
+ Receipt of a NDP Router Advertisement can no longer lower the
IPv6 hop limit (CVE-2015-2924).
+ Many other bugs were fixed.
+ Updated translations.
- Add NetworkManager(cacert-patch) provides: to be toggled to 0
whenever we disable nm-probe-radius-server-cert.patch. Other
packages that consume the ABI introduced by this patch can
specify this as a requirement.
- Reabse nm-probe-radius-server-cert.patch
- Add rp-pppoe BuildRequires, so configure can autodetect the path
to the pppoe binary.
- Recommend rp-pppoe: the program is needed for NetworkManager to
be able to initiate PPPoE connections (commonly used by ADSL
providers). It is not strictly required to operate NM in most
setups, thus only recommended (boo#903553).
- Update to version 1.0:
+ A new 'libnm' GObject-based client library to replace
libnm-util/libnm-glib:
- IP address, IP route, hardware address, and other properties
are now represented as strings.
- Based on GIO's GDBus bindings instead of dbus-glib.
- Uses modern GObject APIs including GAsyncResult and GVariant.
- See https://wiki.gnome.org/Projects/NetworkManager/libnm.
+ Devices and VPN connections now have individual default routes.
Priorities are handled through configurable route metrics.
+ nmcli now supports password requests and PolicyKit
authorizations.
+ A faster, lighter-weight (though less capable) internal DHCP
client has been added and may be selected with the
"dhcp=internal" option. It supports fewer DHCP options and
does not yet support DHCPv6.
+ A new 'configure-and-quit=yes' option has been added for
environments with less dynamic network configuration.
+ When running on 3.17 and later kernels, NetworkManager handles
IPv6LL address assignment to ensure that IPv6 connectivity is
not enabled until intentionally configured by the user.
+ NetworkManager no longer causes the nl80211 kernel module to be
loaded on systems with no Wi-Fi devices.
+ Bluetooth DUN support now works with Bluez 5.x.
+ VPN connections can now persist across link changes and
suspend/resume if their VPN plugin supports this feature.
+ A new 'ibft' settings plugin has been added to support
firmware-based iBFT/iSCSI configurations. This functionality
has been moved to 'ibft' from the 'ifcfg-rh' plugin.
+ IPv6 router advertisement MTUs are now respected.
+ NetworkManager no longer requires polkit libraries at runtime
when Polkit support is enabled, and Polkit can be disabled at
build time too.
+ Automatically created connections are now deleted when their
device goes away.
+ 'nmcli dev connect' now attemts to create a connection if none
exists.
+ Manually configured static IPv6 configuration is kept even if
SLAAC fails.
+ Manpages for the 'keyfile' and 'ifcfg-rh' plugins now describe
their configuration syntax and available options.
+ WWAN connections now support IPv6 if the modem and provider
support IPv6.
+ Software devices (bridge, bond, team, etc) can now be deleted
from the D-Bus API or with nmcli.
+ The manpages, documentation, and API annotations have received
many cleanups.
+ Externally created virtual interfaces are no longer managed by
NetworkManager until they are set "up" or activated via nmcli.
- Disable nm-probe-radius-server-cert.patch for now: needs rebase.
- Drop 0001-core-don-t-auto-launch-logind-bgo-741572.patch and
NetworkManager-dhcpv6.patch: fixed upstream.
- Split out new subpackage typelib-1_0-NM-1_0 and libnm0.
- Require typelib-1_0-NM-1_0 and libnm0 by the -devel package.
- Add pkgconfig(bluez) BuildRequires.
- Replace pkgconfig(libsystemd-login) BuildRequires with
pkgconfig(libsystemd) and pkgconfig(polkit-gobject-1) with
pkgconfig(polkit-agent-1), following upstream.
- Update to version 0.9.10.1:
+ Kernel 'cache' routes (such as those added by IPv6 operations)
are ignored, preventing unwanted CPU usage.
+ Vala bindings for libnm-glib async methods have been added.
+ Some interactions with external OpenVPN daemon default routes
have been fixed.
+ Fixed usage of libnm-glib connectivity checking from
garbage-collected languages.
+ An unusual delay acquiring a DHCP lease with dhcpcd has been
fixed.
+ A libnm-glib crash has been fixed when multiple NMClients are
created.
+ A failure to pass certificate blobs to wpa_supplicant has been
fixed.
+ A failure to send the inner private key password to
wpa_supplicant has been fixed.
+ nmcli now returns earlier when activating master interfaces.
+ nmtui password fields now correctly display the password.
+ The IPv6 hop limit is no longer mistakenly set to 0 in some
cases.
+ Some DHCPv6 failures are no longer fatal.
+ Handling of DHCP 'nak' and 'expire' states has been fixed in
some cases.
+ WiFi band locking has been fixed.
+ Support for Bluetooth DUN with Bluez5 has returned.
+ Non-local users can now control networking after
authenticating with PolicyKit.
+ Externally added routes no longer have their metrics
overwritten.
+ Some child interfaces (eg VPN or WWAN) are no longer
deconfigured when recognized.
+ Support for the PrimaryConnection D-Bus property has been
backported.
+ IPv6 RDNSS/DNSSL forced expiration is now handled properly.
+ An invalid route to the DHCP server is no longer added in some
configurations.
+ A crash when external master/slave changes were made has been
fixed.
+ Various nmtui bugs for slaves, WiFi, and IP address buttons
have been fixed.
+ DHCP no longer fails due to SIGPIPE when the systemd journal
is restarted.
+ Unmanaged slaves are now updated correctly when they
disappear.
+ Cooperation with external team interfaces has been fixed.
+ Bridge STP property ranges are now properly checked.
+ Manager state is now properly updated on resume.
+ Slave interfaces are no longer released on exit.
+ Static IPv6 configuration is now added before SLAAC is
started.
+ Allow shared connections to be started without a carrier.
+ A crash when disconnecting older Nokia phones has been fixed.
- Drop patches incorporated upstream:
+ 0001-core-don-t-auto-launch-logind-bgo-741572.patch.
+ NetworkManager-dhcpv6.patch.
- Add NetworkManager-dhcpv6.patch: dhcp: let dhclient handle
requesting the 'server-id' option (boo#912315).
- Add 0001-core-don-t-auto-launch-logind-bgo-741572.patch: do not
trigger logind start on system startup to avoid deadlock
(boo#905639).
- Handle NetworkManager-dispatcher.service using the systemd
macros.
- Enable NetworkManager-dispatcher.service in %post: as this is a
dbus service, the 'systemd unit' must be enabled in order to be
fired up.
- modified patches:
* systemd-network-config.patch: NM-wait-online should block only
network-online.target, not network.target (bnc#889175).
- modified patches:
* systemd-network-config.patch : ensure
NetworkManager-wait-online.service is enabled when
NetworkManager.service is (bnc#889175).
- Add
nm-core-fix-crash-during-Wi-Fi-rescan-by-emitting-NM_DE.patch:
fix regression in 0.9.8.10 causing crash in Wifi rescan.
- Change ppp requires to %requires_eq ppp: the plugin is installed
in a versioned directory, and as such we do require the exact
version of ppp (bnc#888442).
- Rebase nm-probe-radius-server-cert.patch.
- Drop nm-remove-AP-always-on-device-disconnect.diff: No longer
needed.
- Update to version 0.9.10.0:
+ Added a new curses-based client called "nmtui" for easier
console operation.
+ Added interactive connection editing and creation mode to nmcli
with detailed help and tab completion support.
+ nmcli bash completion has been greatly improved.
+ Added support for Data Center Bridging (DCB) and FibreChannel
over Ethernet (FCoE).
+ IPv6 autoconfiguration is now done in userspace with libndp
instead of the kernel.
+ The D-Bus daemon is no longer required for root-only operation.
+ WiFi, ADSL, WWAN, and Bluetooth are now optional plugins,
reducing install size.
+ Added support for Infiniband Partitions.
+ Network connection files are no longer watched by default, use
"nmcli con reload" to notice changes made externally or set
"monitor-connection-files=true" in NetworkManager.conf's
[main] section.
+ Connections can now be locked to interface names in addition to
hardware/MAC addresses.
+ A new "ignore-carrier" configuration option is available to
ignore the carrier on selected interfaces.
+ A new "dns=none" option has been added to suppress changes to
/etc/resolv.conf.
+ Changes made to IP addresses, IP routes, and master/slave
relationships from external tools are now recognized and
reflected in the D-Bus API.
+ Assuming the existing configuration of interfaces without
changing that configuration is now more reliable.
+ The 'root' user is no longer subject to PolicyKit access
controls and usage of D-Bus "at_console" permissions has been
removed.
+ Configuration file snippets can be dropped in
/etc/NetworkManager/conf.d to change smaller sets of
configuration options.
+ Added IP-level support for more software/virtual interfaces
types including GRE, macvlan, macvtap, tun, tap, veth, and
vxlan interfaces.
+ All network interfaces known to the kernel are now exposed
through the D-Bus interface.
+ Improved support for routing-only VPNs like
openswan/libreswan/strongswan.
+ Added support for "temporary" connections which are not saved
to disk until requested.
+ Added WWAN autoconnect support and fixed issues with airplane
mode handling.
+ NetworkManager-wait-online systemd service behavior is more
reliable.
+ The dispatcher timeout has increased to 10 minutes, and new
"pre-up" and "pre-down" events have been added which block
activation until complete.
+ NetworkManager no longer prevents Wake-on-LAN functionality
from working.
+ PPPoE now requires userland "rp-pppoe" to work around kernel
bugs with that prevent detecting server-side termination of the
PPP link.
+ An ARP announcement is now sent after IPv4 addresses are
configured.
+ Added a DNS plugin for dnssec-trigger for better DNSSEC
operation.
+ More properties are now exposed via the D-Bus properties
interface in addition to getter/setter functions.
+ Added support for custom IP address ranges for Shared
connections.
+ Fatal connection failures now block automatic reconnection more
reliably.
+ VPN connection IP details are now available via the D-Bus
interface.
+ VPN plugins can now request additional/new secrets from the
user during the connection process.
+ 'veth' interfaces are now unmanaged by default to cooperate
better with external tools.
- Add pkgconfig(libndp) BuildRequires: new dependency.
- Disable nm-probe-radius-server-cert.patch,
nm-don-t-consider-not-needed-secrets-for-has_system_secr.diff and
nm-treat-not-saved-secrets-just-like-agent-owned-when-cl.diff:
closer investigation is needed if the upstream changes caught all
the cases we tried to address with these hack patches.
- Rebase NetworkManager-geoclue-interaction.patch.
- Pass --with-nmtui to configure to ensure the text mode UI (tui)
is being built.
- Add pkgconfig(libnewt) BuildRequires: dependency for the tui.
- Update to version 0.9.8.10:
+ Fixed a bug that allowed a user to disconnect a connection that
they didn't have permissions on.
- Update to version 0.9.8.9:
+ Fixed two problems that could result in gnome-shell showing
incorrect icons. In particular, fixed the problem where the
network icon would disappear when certain VPNs were activated.
+ Dispatcher scripts now receive correct IPv6 addresses, and also
correct DHCP information on lease-change events.
+ NetworkManager no longer tries to start ModemManager itself on
systemd-using systems.
+ Activating a second ethernet connection while another is
already active will now not move the default route.
+ Fixed some edge cases where one user could deactivate a
connection owned by another.
+ Fix handling of dhcp-send-hostname property with ifcfg-rh.
+ DHCP now works even if you have a global dhclient.conf that
specifies a (non-NetworkManager) script to run.
+ The dhcpcd backend now requests that dhcpcd only do DHCPv4,
fixing some WWAN devices that don't react well to seeing IPv6
packets.
+ Fixed the default value of bridge priority.
+ The D-Bus policy file has been updated to include the
NetworkManager-iodine VPN plugin.
+ It is possible to specify the path to dnsmasq at build time.
+ Removed a GLib 2.32 dependency that accidentally snuck into
0.9.8.8.
+ Fixed a bunch of memory leaks.
+ Fixed a bunch of miscellaneous crashes.
+ Removed some less-useful bits of logging output.
- Rebase NetworkManager-geoclue-interaction.patch.
- Fix files list: do not expect pppd plugin version 2.4.5 in the
directory name.
- Add NetworkManager-geoclue-interaction.patch: allow the user
"srvGeoClue" (as used by the geoclue2 service) to query
NetworkManager,
- Update to version 0.9.8.8 (bnc#845542):
+ Fixes to the BlueZ code.
+ A few memory leak fixes.
+ Minor docs fixes.
- Switch to systemd check for the nfs script if enabled or not.
Also do not exit with error code if nfs script is not enabled.
- Update nm-probe-radius-server-cert.patch to probe the server with
the user credential (bnc#817585)
- Update to version 0.9.8.6:
+ Now supports BlueZ 5. If you are still using BlueZ 4, configure
with --enable-bluez4 to disable BlueZ 5 support and enable
BlueZ 4 support.
- Pass nmrundir="/run/%{name}" to make and makeinstall:
+ Use /run/NetworkManager instead of /var/run/NetworkManager as
runtime directory.
- Update to version 0.9.8.4:
+ Removed some spurious warnings.
+ Root clients running outside a login session now have the right
permissions.
+ WiFi AP mode and EAP-FAST support are now detected correctly.
+ Bonding config removes inappropriate options when switching
modes.
+ Fix reading of bond connections with keyfile plugin.
+ Fix hang when dbus-daemon restarts.
+ Fix crash when VPN disconnection fails.
+ The dispatcher now exposes IPv6 VPN info, and IPv4/IPv6 DNS
search domains.
+ Build fix to support dhcpcd 6.x.
+ Fix crash on startup when no dhcp client is available.
+ Fix device descriptions when using the latest udev.
+ Fix some possible obscure problems at startup.
+ Always clear the default route correctly when disconnecting
mobile broadband.
+ Keyfile plugin now ignores more emacs temporary files.
+ When using dnsmasq, pass all nameservers to it, not just the
first.
+ Kill dhclient if nm-dhcp-client-action encounters a fatal
error.
+ Fix dispatcher systemd unit install.
+ Make ifcfg-rh VLAN parsing match initscripts better.
+ Change threshold for WiFi background scanning under WPA
Enterprise.
+ Fix crash when deleting a currently-active connection.
+ Fix ifcfg-rh's handling of IPV6_DEFAULTGW.
+ Fix manager State transitions when connectivity checking is
enabled.
+ Add Connectivity property to distinguish portals from "limited
connectivity".
+ Add PrimaryConnection and ActivatingConnection properties to
simplify UI code.
+ Old connection files containing UUIDs without hyphens work
again.
- Rebase systemd-network-config.patch.
- avoid suse-release, it moves NM behind java in bootstrap and
all features that configure.ac enabled for suse-release are
enabled with --with anyway
- Update to version 0.9.8.2:
+ Memory leak fixes.
+ Ensure the ifcfg-rh plugin saves the bridging STP setting
correctly.
+ Also request static routes from DHCP servers.
+ Fix crash when dbus-daemon restarts.
+ Look harder for the machine ID and don't crash if we don't have
one.
+ Copy DHCP leasefiles from the previous location if necessary.
+ Wait up to 120 seconds for modems to connect.
+ Don't crash for PPPoE connections with no wired setting.
+ Fix AvailableConnections for some WiFi connections.
+ Ensure new available connections generate the PropertiesChanged
signal.
+ Ensure the keyfile plugin reads all-default VLAN connections
correctly.
+ Suppress the kernel's automatic creation of bond0.
+ Make the SecretAgent API introspectable for bindings.
+ Ensure ActiveConnections get torn down when device is
unavailable.
+ Ensure ifupdown plugin rechecks unmanaged devices on interface
changes.
+ Don't prematurely think IPv6 has succeeded due to left-over
addresses.
+ Fix various systemd issues and add service file for the
dispatcher.
+ Updates for new ModemManager API changes.
+ Fix crash on Wi-Fi when IP configuration times out.
- Rebase systemd-network-config.patch.
- Readd nm-probe-radius-server-cert.patch, as it is not yet merged
upstream (bnc#574266, bnc#771185).
- Add sysconfig and suse-release BuildRequires to properly
configure for suse (bnc#817592).
- Add --with-netconfig=yes to configure call.
- Add additional test in build section to ensure netconfig is
detected. This is needed as specifying --with-netconfig=yes does
not fail configure if not found.
- Pass --with-modem-manager-1 to configure: we already have a new
enough ModemManager to make use of this.
- Add pkgconfig(mm-gib) BuildRequires: needed for above switch to
take effect.
- Re-enabled translation-update-upstream.
- Recommend avahi-autoipd used for IPv4LL support.
- Update to version 0.9.8.0:
+ Fix issue with duplicate ActiveConnection objects if a
connection was reactivated on a device.
+ Fix race when looking up hostname and concurrently updating
DNS.
+ Always load the 'keyfile' settings plugin, even if no plugins
are specified.
+ Add a new WiFi device ADHOC capability; not all devices/drivers
support IBSS mode.
+ Fix an issue with quick wpa_supplicant restarts not being
noticed.
+ Expose the AvailableConnections property through libnm-glib.
+ Fix usage of libnm-glib's NMRemoteConnection from GObject
introspection.
- Update to version 0.9.7.997:
+ libnl 3.2.7 or later is required.
+ The internal crashdump handling has been removed.
+ A DHCPv6 DUID is now generated from /etc/machine-id and sent to
the DHCPv6 server, if not overridden by an
administrator-defined DUID.
+ Bond interfaces now wait for a ready slave before starting
automatic IP configuration.
+ The kernel WiFi rfkill state is now synced to the
user-requested WirelessEnabled state at startup.
- Update to version 0.9.7.995:
+ New AvailableConnections property for Device objects.
+ Better handling of various rfkill/Airplane Mode switches
+ Fixed handling of DNS servers for some mobile broadband devices
+ Don't duplicate various IPv6 routes added by the kernel
+ Ensure buggy ethernet driver carrier indications are handled
correctly
+ Fix crash in dnsmasq plugin when no nameservers were presen
+ Add support for 4G LTE network modes
+ Fix signal handling when daemonizing at startup
+ Don't autoconnect to WiFi networks that have never successfully
connected
+ Only request new WiFi secrets during the initial association or
when the secrets are known to be wrong, not every time the
connection randomly fails
+ Add capability to autoconnect VPN connections when a parent
connection succeeds
+ Add configure-time option for "permissive" system connection
editing policy
+ Various libnm-glib fixes for asynchronous usage
+ Fix gateway handling when given with secondary IP addresses
+ Optionally listen to systemd for suspend/resume events instead
of UPower
+ Fix 'seen-bssids' property when retrieving WiFi connections via
D-Bus
+ Add support for AP-mode WiFi hotspots (instead of just Ad-Hoc)
+ Add a "slaves" property to Bond devices
+ Add support for ModemManager 0.7/0.8
+ Allow more human-readable formatting of IP address in keyfile
connections
+ Drop support for dhclient v3
+ Add support for DHCPv6 server-side Dynamic DNS
+ Add support for bridge master devices and bridge ports
+ Fix canceling secrets requests in GUI agents
+ Always enable Proactive Key Caching (PKC, also called OKC) for
WPA Enterprise WiFi configurations
- Replace --with-distro=suse configure parameter with
- -enable-ifcfg-suse, following upstreams changes, which allow for
granular configuration.
- Drop NetworkManager-systemd-suspend.patch and
NetworkManager-upower-out.patch: fixed upstream.
- Rebase systemd-network-config.patch.
- Added migration hook enabling NetworkManager.service on update
from openSUSE < 12.3 and NETWORKMANAGER=yes setting (bnc#803058).
- Install network.service alias, that points to the enabled service
and obsoletes the use of NETWORKMANAGER=yes/no sysconfig variable
in /etc/sysconfig/network/config (bnc#764055,bnc#764336,bnc#798348).
- Requires sysconfig-0.80.0
- Update systemd-network-config.patch: ensure
NetworkManager.service is Before network.target (bnc#789421).
- Move the udev files to the right location:
+ Define _udevdir based on the udevdir variable of udev.pc.
+ Pass --with-udev-dir=%{_udevdir} to configure.
+ Use %{_udevdir} in the files section as appropriate.
- Switch on systemd support: change with_systemd defines to 1.
- Add NetworkManager-systemd-suspend.patch and
NetworkManager-upower-out.patch: Listen to systemd for
suspend/resume when built with systemd support. The upower
signals will never be emitted.
- When building with systemd support, add gnome-common
BuildRequires and call to gnome-autogen.sh, as above patches
touch the build system.
- Update to version 0.9.6.4:
+ Add libnm-glib API to get bond interface slaves.
+ Fix detection of some ACPI-based laptop airplane-mode/rfkill
switches.
+ Fix a crash when a VLAN interface is removed.
+ Fix a regression setting the Device 'driver' and 'firmware'
properties.
+ Fix a stale-properties issue with libnm-glib when device state
changes.
+ Ignore cached/cloned route notifications from the kernel.
+ Work around buggy kernel driver carrier notifications.
+ Fix a crash with dnsmasq local caching nameserver functionality
when no nameservers are present.
+ Add "Speedport W 501V" to list of manufacturer default SSIDs.
+ Various documentation fixes.
+ Fix routing setup if gateway is not given with the first IP
address.
+ Enhance nmcli for additional VLAN and bonding functionality.
+ Fix possible crash when removing OLPC Mesh devices.
- Disable nm-remove-AP-always-on-device-disconnect.diff: the AP
might be removed from the list forever due to the AP list update
method change since 0.9.4.0 (bnc#768564)
- Update to version 0.9.6.0:
+ Allow customized dnsmasq local caching nameserver config via
/etc/NetworkManager/dnsmasq.d/
+ Fixes for VLAN and bonding when libnl2 or earlier are used
+ D-Bus API, libnm-glib, libnm-util, and GObject Introspection
documentation updates.
- Update to version 0.9.5.96:
+ Fix various crashes and issues in the ifcfg-rh system settings
plugin
+ Fix race with multiple interfaces running DHCP at the same time
+ Add Linux From Scratch (LFS) support.
- Update to version 0.9.5.95:
+ Many libnm-glib fixes, including crashes when NetworkManager
restarts
+ Enhanced IPv6 stability and compatibility.
+ Fix regression in carrier handling for devices that don't
support carrier detect.
+ Add ability to connect to new WiFi networks from nmcli.
+ Add native support for ADSL modems using PPPoE or PPPoATM.
+ Reduce number of changes made to DNS information during
connection setup.
+ Add support for IPv6-enabled VPN connections.
+ Add device driver version, firmware version, and autoconnect
properties to D-Bus API.
+ Add on-demand WiFi scan support.
+ Fix IPv6 default gateway handling for DHCPv6.
+ Add Vala language bindings.
- Drop patches that were merged upstream:
+ nm-ensure-bindings-created-NMClient-object-work.patch
+ nm-gerror-must-be-null.patch
+ nm-ppp-build-error.patch
+ nm-ensure_inited-fixing.patch
+ nm-null-out-on-dispose.patch
+ nm-probe-radius-server-cert.patch
+ nm-wireless-strength.patch
- Add vala BuildRequires: needed to build the new vala bindings.
- Add nm-wireless-strength.patch, fix wireless status for ipw2200.
(bnc#755541, bgo#675017).
- Remove dbus system-service for NetworkManager, to prevent
warnings about it not being running (bnc#738596)
- Add nm-probe-radius-server-cert.patch to probe the certificate
of the RADIUS server (bnc#574266, bnc#771185)
- Add nm-null-out-on-dispose.patch to fix crash in gnome-shell or
any other program using libnm-glib (bgo#674473)
- Add nm-ensure-bindings-created-NMClient-object-work.patch to fix
"nmcli con" not working (bgo#672812, bnc#766045).
- Add nm-ppp-build-error.patch, don't use struct ifpppstatsreq
that was removed from linux/ip_ppp.h in recent kernels.
- Add nm-ensure_inited-fixing.patch, ensure initialization
in get_property() calls.(bnc#764290).
- Add nm-gerror-must-be-null.patch: GError * must be initialized to
NULL (bnc#757656).
- Update to version 0.9.4.0:
+ Removed support for WiFi Ad-Hoc WPA connections due to kernel
bugs
- Update to version 0.9.3.997:
+ A bug causing IPv6 address assignment to fail on newer kernels
with libnl3 has been fixed
+ Fix a bug in the ifcfg-rh plugin with backticks in WPA
passphrases
+ Ensure connections that cannot be stored are ignored by the
ifnet plugin
+ Enable out-of-the-box IPv6 connectivity by allowing IPv4 to
fail if IPv6 succeeds
+ Allow proxying of DNSSEC data when using the dnsmasq local
caching nameserver plugin
+ Add support for multiple domain names sent from VPN plugins
- Add NetworkManager Supplements to
NetworkManager-device-plugin-wimax so that it gets automatically
installed by default.
- Update to version 0.9.3.995:
+ Linux Wireless Extensions (WEXT) support can be disabled at
configure time with --with-wext=no
+ IPv6 Privacy Extensions are now enabled by default for new
connections
+ Support for checking Internet connectivity has been added
+ The ifnet system config plugin rewrites config files less often
- Add pkgconfig(libsoup-2.4) BuildRequires and pass
- -enable-concheck to configure to enable internet connectivity
check.
- Add with_wimax define, which prepares NM for wimax. If with_wimax
is defined to 1:
+ Add pkgconfig(libiWmxSdk-0) BuildRequires
+ Change --disable-wimax to --enable-wimax in configure
+ Create NetworkManager-device-plugin-wimax subpackage
- Get ready for full-switch to systemd:
+ Add a with_systemd macro, currently set to 0 as the systemd
support implies no support for ConsoleKit, which we want to
keep until sysvinit is not supported anymore.
+ Add pkgconfig(libsystemd-login) BuildRequires and pass
- -with-session-tracking=systemd to configure if we build
systemd support.
- Move to libnl3:
+ Remove pkgconfig(libnl-1) BuildRequires.
+ Add pkgconfig() BuildRequires: libnl-3.0, libnl-genl-3.0,
libnl-route-3.0.
- Remove libiw-devel BuildRequires: it's not needed anymore.
- Stop changing libexecdir to %{_prefix}/lib/NetworkManager: there
is no need for this.
- Update to version 0.9.3.990:
+ Better handling of WiFi devices via nl80211 when available
(instead of WEXT)
+ IP configuration is now non-blocking; waiting for IPv6 RA no
longer blocks the device from activating if IPv4 is ready and
vice versa
+ Addded support for firewall "zones" via FirewallD
+ Added basic support for bonded interfaces
+ WiFi connections are no longer locked to a specific MAC address
if they are "locally administered" addresses (ie, 02:::::)
+ New state change reasons have been added for mobile broadband
PIN errors
+ Agent-owned secrets are now sent to agents for newly created
connections
+ Support for non-UTF8-encoded 802.1x passwords has been added
+ libnm-glib now fetches some properties more aggressively (like
active connections, access points, etc)
+ Added basic support for IP-over-Infiniband interfaces
+ Added support for device plugins and converted WiMAX support to
a plugin for easier packaging and simpler dependencies
+ Added support for VLAN interfaces
+ Added support for 802.1x EAP-FAST authentication
+ Added non-blocking mode and API to libnm-glib
- Rebased systemd-network-config.patch.
- Split typelib files into their own subpackages:
typelib-1_0-NetworkManager-1_0 and typelib-1_0-NMClient-1_0.
- Add typelib-1_0-NetworkManager-1_0 and typelib-1_0-NMClient-1_0
Requires to devel subpackage.
- Update systemd-network-config.patch to handle NM_TIMEOUT value 0
as no timeout (bnc#730628).
- Really enable parallel build: fix typo smp_flags => smp_mflags.
- Update to version 0.9.2.0:
+ Fixes for building with recent GLib versions.
+ Don't update routing and DNS until a device is managed.
+ Fix bug causing IPv6 RA-provided routes to be ignored.
+ Fix possible wrong handling of 'keyfile' connection
certificates.
+ Correct Shared connection IP address range to be as documented.
- Update to version 0.9.1.95:
+ Fix a crash when deleting default wired connections
+ Fix a security issue in the ifcfg-rh plugin with newlines in
file names
+ Fix the "SpecificObject" property for active VPN connection
objects
+ Improve handling of rfkill on some platforms
+ Spaces no longer used in ifcfg config file names
+ IPv6 RAs are now accepted when forwarding is configured
+ dnsmasq local caching nameserver plugin cache size bumped to
400 entries (from 150)
+ Fix handling of SSIDs in the keyfile plugin
+ Fix some GObject Introspection annotations in libnm-glib and
libnm-util
+ Fix setting hostnames from DHCP
- Drop nm-udev-rfkill-handling.patch: fixed upstream.
- avoid annoying polkit popups when connecting to 802.11x networks
that are supposed to ask for passwords (bnc#713639)
- also avoid asking for a password (and thereore polkit auth) when
an AP goes of range.
- Add nm-udev-rfkill-handling.patch to improve the rfkill handling
(bnc#709733,bgo#655773)
- Update systemd-network-config.patch to correctly handle /usr over
NFS.
- Use latest systemd rpm macros.
- Update to version 0.9.1.90:
+ Support for libnl2 and libnl3 and various leak fixes
+ Various small bug fixes in the ifnet config plugin
+ Ensure IPv6 link-local DNS servers work correctly in the
dnsmasq DNS plugin
+ Add ability for nmcli to delete connections
+ Fix setup of connection sharing with newer iptables versions
+ Ensure WiMAX activation emits correct signals (fixes initial
signal strength)
+ Fix an issue with duplicated keyfile connections
+ Ensure the 'novj' options is passed through to pppd
+ Store timestamps for VPN connections too
- Remove explicit Requires for libnl: this is a library, so the
right Requires will be automatically be added.
- Remove redundant tags/sections from specfile
- Implement baselibs for package
- Update systemd-network-config.patch to enable
NetworkManager-wait-online.service too (and read timeout value
from /etc/sysconfig/network/config).
- Apply shared library packaging policy (bnc#689039):
+ Create libnm-util2, libnm-glib4, libnm-glib-vpn1 subpackages.
+ Add Provides/Obsoletes for NetworkManager-glib to libnm-glib4.
+ Changes NetworkManager-glib Requires in devel subpackage to
libnm-util2, libnm-glib4 and libnm-glib-vpn1 Requires.
+ Remove NetworkManager-glib Requires from main subpackage: there
is no reason to have an explicit Requires for the libraries.
- Merge doc subpackage in devel subpackage, with appropriate
Provides/Obsoletes.
- Rename nm-system-settings.conf source to NetworkManager.conf, to
follow the new non-deprecated scheme for configuration. Note that
this uses the same format, so there's nothing to adapt. If users
have an old modified version of nm-system-settings.conf, then it
will still be used. Fix bnc#689042.
- Mark %{_sysconfdir}/NetworkManager/NetworkManager.conf with
%config(noreplace).
- Add empty systemd macro to fix build on 11.4
- Update systemd-network-config.patch to disable dbus activation
for NetworkManager, it was causing KDE timeout when NM was not
handling network (bnc#714962).
- Update to version 0.9.0:
+ fdo#39463: Ensure NM can talk to newly installed VPN plugins
+ Don't autoconnect disabled modems.
+ Preserve agent secrets the right way.
+ Preserve agent secrets over Update operation.
+ Add libnl-3 API compatibility.
+ Add libnl-2 support with libnl-1 compatibility.
+ Fix DBus signal signatures in supplicant.
+ Handle a few more possible D-Bus activation errors.
+ Fix integer list SSID parsing.
+ bgo#652512: Fix crash for AddAndActivateConnection() D-Bus call
+ Add missing U2600 GSM band enumeration.
- Drop f15-branch.patch: No longer required.
- no longer package /var/run/NetworkManager, not used by NM
anymore. Package /var/lib/NetworkManager instead.
- Add systemd-network-config.patch: follow network configuration to
not start NM under systemd if it is disabled system-wide.
- enable systemd service for NetworkManager
- Update to version 0.8.9997:
+ Fix symbol exports in libnm-glib.
+ Fix some gobject introspection annotations.
+ WiMax fixes : do not attemp to connect when scanning.
+ Recognize PKCS#8 private keys and check passwords.
+ Allow _ as valid character for GSM APN.
+ Improve PolicyKit integration.
+ Fix up Ad-Hoc frequency when connecting.
+ Don't complay if ConsoleKit database isn't found at startup.
+ Improve openconnect migration.
+ Handle DHCP options perperty correctly.
+ Only send hostname without domain as host-name option for
DHCP.
+ Fix crash when SSID is missing
+ Make auto-activation retries really work.
+ Fix dispatcher handling of empty VPN interface.
- Update f15-branch.patch from the git branch.
- Update to version 0.8.999:
+ IPv6 compliance and RDNSS lifetime fixes
+ systemd cooperation fixes
+ API fixes for clients creating wifi connections
+ API additions to make client code simpler
+ Startup efficiency fixes by not parsing the ConsoleKit database
more than required
+ Fixes for IBM s390 CTC-type network devices
+ Fixes for WWAN enable/disable status
+ Fixes for ifcfg-rh configuration plugin handling of IP addresses
+ Support for Easytether Android handset tethering
+ Better handling of rfkill for WiFi and WiMAX interfaces
+ Addition of IPv6 support for dispatcher scripts
+ Fixed handling of DER-format certificates
- Update f15-branch.patch from the git branch.
- Remove polkit-unauthorized-privilege filter from
NetworkManager-rpmlintrc as polkit-default-privs got updated.
- Update NetworkManager-rpmlintrc:
+ Remove filter for suse-dbus-unauthorized-service, this got
fixed.
+ Update polkit-unauthorized-privilege to be more specific since
only org.freedesktop.NetworkManager.settings.modify.hostname is
missing now.
+ Mention bnc#680140, where we are tracking this.
- Move to pkgconfig()-style BuildRequires:
+ Old ones: dbus-1-devel, dbus-1-glib-devel, libgudev-1_0-devel,
libnl-devel, libuuid-devel, mozilla-nss-devel, polkit-devel.
+ New ones: dbus-1, dbus-glib-1, glib-2.0, gudev-1.0, libnl-1,
nss, polkit-gobject-1, uuid.
- Remove libgcrypt-devel BuildRequires: it's only needed if we
don't use nss.
- Remove explicit Requires for various packages in devel subpackage
as they should be brought with pkgconfig() magic: dbus-1,
dbus-1-glib, dbus-1-devel, glib2-devel, dbus-1-glib-devel,
libgcrypt-devel, libgpg-error-devel.
- Add fdupes BuildRequires to remove duplicate files in
/usr/share/gtk-doc.
- Do not call /sbin/ldconfig in %post/%postun of main binary
package as there is no library there.
- Stop manually building nm-online: it's already installed with the
standard build.
- Drop NetworkManager-frontend.conf as this was for the
NetworkManager 0.8 world. This is now integrated in
/etc/dbus-1/system.d/NetworkManager.conf. Fix bnc#689043.
- Ship /etc/NetworkManager/VPN directory.
- Add back f15-branch.patch: all patches from Fedora15 branch,
mostly for fixing compatibility issues.
- Update to version 0.8.998 (0.9.0-rc1):
+ Fix memory leaks
+ libnm-glib: Fix crashes
+ Fix wired connection completion
+ Updated translations.
+ Bugs fixed: bgo#646300, bgo#646115, bgo#646335, bgo#646375,
bgo#645927.
- Drop f15-branch.patch: merged.
- Remove autoreconf call: no more patches.
- Add f15-branch.patch: all patches from Fedora15 branch, mostly
for fixing compatibility issues.
- Update to version 0.8.997 (0.9 beta3):
+ Mostly bugfixes and backwards compatible D-BUS changes.
- Update to version 0.8.996 (0.9 beta2):
+ don't require glib 2.26
+ deb#615082, lp#725041: fixes for new dnsmasq
+ crash fixes
+ ifupdown plugin fixes
+ save connection timestamps in /var not /etc
+ install time fixes for Arch Linux
+ libnm-glib crash and correctness fixes
+ fix display of SSIDs in applet tooltips
+ build fixes and cleanups
+ import existing user connections
- Summary from 0.8.995 (0.9 beta1)
+ simpler, easier, more flexible, and cooler applets.
+ Fast User Switching.
+ WiMAX support.
+ System connections by default.
+ More flexible system administration.
+ Scales down to smaller devices.
- Drop patches fixed upstream:
+ nm-64bit-timestamp.diff
+ nm-nis-domain.diff
+ nm-crash-lack-ipv4.patch
+ nm-ignore-temp-files.patch
+ nm-stop-touching-hosts.patch
+ nm-destory-crash.patch
- Add pkgconfig(systemd) BuildRequires for systemd integration
support.
- Add gobject-introspection-devel BuildRequires to get
introspection support.
- Pass --disable-wimax to configure for now as we don't have the
libraries for it.
- Add nm-destory-crash.patch, fix crash when NM exit(bnc#673627).
- Add the nm-stop-touching-hosts.patch to stop touching /etc/hosts.
(bnc#667265)
- Added autoreconf since nm-ignore-temp-files.patch needs more
than touching Makefile.in.
- Add nm-ignore-temp-files.patch: stop NM from filling dmesg and
logs by ignoring temporary files (bgo#602868) (bnc#668183)
Original upstream patch has been extended to also touch
Makefile.in in order to avoid having to re-bootstrap.
- Add nm-crash-lack-ipv4.patch to fix a crash during exit: lack of
an IPv4 setting indicates DHCP (bnc#664640).
- Stop removing sr@Latn translation: it was added by
translation-update-upstream, and the script got fixed now.
- Add patch to fix NM crash (bnc#655685)
- Add patch to fix NM crash with ethernet (bnc#655505)
- Remove sr@Latn as it's a duplicate of sr@latin and no valid
locale.
- Update to version 0.8.2:
+ Native local caching nameserver support using dnsmasq
+ Automatically detect addition and removal of new VPN plugins
+ Support for handling suspend/resume signals from UPower
+ Ensure users are allowed to enable/disable WiFi and networking
+ Ensure WiFi enable state is preserved across reboot and suspend
+ Better handling of /etc/hosts and preservation of custom
hostnames
+ Support for the systemd session management service
+ Better handling of 'keyfile' system connection errors
+ Support for S390 network devices
+ and much more...
- Split out lang package.
- Pass --with-docs to configure.
- Change --with-dhcp-client configure option to --with-dhclient.
- Re-enable parallel build.
- Update to version 0.8.1:
+ Bluetooth Dial-Up Networking
+ nmcli: a command-line interface for controlling NetworkManager
+ Mobile Broadband Status: signal strength, roaming, and access
technology display
+ Enhanced IPv6 support: including DHCPv6 and tons of fixes
+ Logging and Debugging: make NM as quiet or verbose as you like
- Drop NetworkManager-netconfig-exit-quick.patch, upstreamed.
- Drop NetworkManager-NIS.patch, no longer required.
- nfs script should not use nfs restart(bnc#559021).
- Add SPARC targets to %files list
- Reword comment about locations of files (since sparcv9 is neither
single-arch nor a 64-bit environment)
- Update NetworkManager-NIS.patch, init the variable(bnc#618599).
- Add NetworkManager-netconfig-exit-quick.patch, fix wrong return
value when updating the DNS with netconfig(bnc#595708, bnc#544195,
bnc#537907, bnc#596163).
- Add NetworkManager-NIS.patch, support NIS domain and servers
(bnc#608677).
- Minor spec-cleanup.
- fix NetworkManager dependencies
* ModemManager and dnsmasq should be recommended, not required
* should Require iproute2,iputils and ppp
* Should Recommend iptables
- remove not needed build time dependency on dhcp-client
- Add a general dbus conf file for nm-applet, cnetworkmanager and
NetworkManager-kde4(bnc#476502).
- Update to version 0.8:
+ introspection: fix inclusion of Dhcp6Config XML
+ crypto: de-init NSS after calling PR_GetError()
+ ifcfg-rh: read and write DHCPv6 connections
+ policy: fall back to original hostname before trying reverse
DNS
+ bluetooth: finish DUN implementation
+ introspection: sync device state reason code with
NetworkManager.h
+ policy: be more selective when adding hostname to /etc/hosts
+ gsm: handle PIN requests during modem enable too
+ system-settings: register setting errors so D-Bus errors are
meaningful
+ Updated translations.
- Add NetworkManager-rpmlintrc to list of sources.
- Fix self-obsoletion of dhcdbd.
- Update to version 0.7.999:
+ ifcfg-rh: formatting fix
+ ifcfg-rh: handle missing PREFIX by generating one
+ ifcfg-rh: ensure IPv6 addresses are cleared when none get
written out
+ ifcfg-rh: add IPv6 addressing and routes support (rh #523288)
+ backends: add backend for Pardus
+ libnm-util: fix NMDeviceBt hardware address property
+ core: ensure failed /etc/hosts update writes out
well-formatted file (lp#471498)
+ olpc-mesh: fix companion path and active channel property
types
+ netlink: work around kernel cache refill problems
+ keyfile: add IPv6 support (bgo #593814)
+ libnm-util: add IPv6 comparison functions
+ Translation updates
- Remove 0006-NIS-patch.patch, 0007-Fix-etc-hosts-updating.patch,
nm-hal-tree-changes.patch and
0009-Implement-sending-system-hostname-with-DHCP-client.patch.
These patches were not applied
- Upgrade to the latest upstream 0.8 branch:
+ Add support for Bluetooth DUN devices.
+ Add support to manually deactivate active devices.
+ Much improved killswitch handling.
+ The state (networking, wireless, ...) is now remembered after
reboots.
+ The system settings daemon is removed and the main daemon has
support for distribution specific plugins now.
+ The keyfile plugin supports a lot more data formats now (human
readable IP addresses, passwords without hashing etc). Add
back the support for certificate file paths.
+ Add back support for multiple CA certificate per (.PEM) file.
+ HAL usage is replaced with gudev.
+ IPv6 support.
+ Documentation updates.
+ Lots of bug fixes.
- Never fall back to manually updating resolv.conf, even if
netconfig fails (bnc #537907, #544195).
- Fix a segfault introduced by the updated ModemManager patch
(bnc #538180).
- HAL added 'ssb' (Silicon Sonics Backplane, used internally on
most Broadcom ethernet and wifi chipsets) in 0.5.13, which
changed the device list layout and made NM unable to get the
driver for the wifi device. Fix that (bnc #526105).
- Fix issues with root being at_console (bnc #530430).
- Require libiw-devel for building instead of wireless-tools.
- Update to latest 0.7.1 upstream
+ Handle ZTE (Onda) device port types
+ Wait 20 seconds (instead of 15) for PPP connections to come up
+ Block until netconfig exits
+ Allow 63 byte long PSK
+ Fix dbus reconnection
+ Handle unsolicited supplicant scans
+ Other fixes
- Add 0013-iptables-path.patch to correct path for iptables, it lives
in /usr/sbin.
- Added Build dependency for libuuid
- Update to 0.7.1:
+ Plays better with stupid wifi and ethernet drivers.
+ Support for rfc3442 classless static routes.
+ The default "Auto eth0" connection is now read/write.
+ Compatibility fixes for 802.1x PEAP authentication and 3G/PPP
connections.
+ Reduced wakeups for power saving awesomeness.
+ Ability to deny specific devices the default route.
+ More correct display of wifi signal strength.
+ Custom IPv4 settings for mobile broadband connections.
+ More informative display of network device state.
+ Lots of bugs fixed.

==== accountsservice ====
Subpackages: libaccountsservice0 typelib-1_0-AccountsService-1_0

- Enable as-fate318433-prevent-same-account-multi-logins.patch for
Leap as requested by the Leap Release Manager (boo#994876).

==== akonadi-calendar ====
Version update (16.04.3 -> 16.08.0)

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== akonadi-contact ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5AkonadiContact5

- Build only on architectures supported by libqt5-qtwebengine
- Update RPM group classifcation. Drop unused macros.
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Cleanup build requirements
- Drop no longer respected QTWEBENGINE_SUPPORT_OPTION from cmake
(QtWebEngine is mandatory now)
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== akonadi-mime ====
Version update (16.04.3 -> 16.08.0)

- Update RPM group classifcation. Drop unused macros.
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Cleanup build requirements
- Drop no longer respected QTWEBENGINE_SUPPORT_OPTION from cmake
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== akonadi-notes ====
Version update (16.04.3 -> 16.08.0)

- Update RPM group classifcation. Drop unused macros.
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Cleanup build requirements and remove unnecessary requires from
the devel package
- Drop no longer respected QTWEBENGINE_SUPPORT_OPTION from cmake
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== akonadi-search ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5AkonadiSearch

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== akonadi-server ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5AkonadiAgentBase5 libKF5AkonadiCore5 libKF5AkonadiWidgets5

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== analitza ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libAnalitza5

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== apparmor ====
Subpackages: apparmor-abstractions apparmor-docs apparmor-parser
apparmor-profiles apparmor-utils libapparmor-devel libapparmor1
libapparmor1-32bit pam_apparmor pam_apparmor-32bit perl-apparmor
python3-apparmor

- add changes-since-2.10.1--r3326..3346.diff with upstream changes and
fixes since the 2.10.1 release, including
- allow dac_override in winbindd profile (boo#990006#c5)
- allow mr for /usr/lib*/ldb/*.so in samba abstractions (needed since
Samba 4.4.x, boo#990006)
- abstractions/nameservice: also support ConnMan-managed resolv.conf
- let aa-genprof ask about profiles in extra dir (again)
- fix aa-logprof "add hat" endless loop (lp#1538306)
- honor 'chown' file events in logparser.py
- ignore log file events with a request mask of 'send' or 'receive'
because they are actually network events (lp#1577051, lp#1582374)
- accept hostname with dots when parsing logs (lp#1453300 comments #1 and #2)
- fix python LibAppArmor import failures with swig > 3.0.8 (boo#987607)
(libapparmor-fix-import-path.diff)
- refresh apparmor-abstractions-no-multiline.diff
- drop upstreamed profiles-ping-inet6-r3449.diff
- add %check section - runs libapparmor (including swig bindings),
parser and profiles tests
- add BuildRequires: perl(Locale::gettext) - needed for parser tests

==== ark ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libkerfuffle16

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== attica-qt5 ====
Version update (5.24.0 -> 5.25.0)
Subpackages: attica-qt5-devel libKF5Attica5

- Do not rely on pkg-config being pulled in by something else;
make sure pkgconfigdeps.sh runs without a doubt.
- Update to 5.25.0
* Qt >= 5.5 is now required
* Follow HTTP redirects
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== autoyast2 ====
Version update (3.1.147 -> 3.1.149)
Subpackages: autoyast2-installation

- Profile Location: Use Report instead of Popup to not block
AutoYast if not configured to. (bnc#988949)
- 3.1.149
- Fixed: Setting timeout for error popups has not been possible.
(bnc#988949)
- 3.1.148

==== baloo5 ====
Version update (5.24.0 -> 5.25.0)
Subpackages: baloo5-devel baloo5-file baloo5-imports baloo5-kioslaves
baloo5-tools libKF5Baloo5 libKF5BalooEngine5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== baloo5-widgets ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== blinken ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== bluedevil5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0

==== bluez-qt ====
Version update (5.24.0 -> 5.25.0)
Subpackages: bluez-qt-devel bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== bovo ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== breeze ====
Version update (5.7.3 -> 5.7.4)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style breeze5-wallpapers

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== breeze-gtk ====
Version update (5.7.3 -> 5.7.4)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php
- Add update_from_BreezeGTK.patch to fix the GTK theme settings on
upgrades from Leap 42.1, which shipped with BreezyGTK (boo#994832)

==== breeze5-icons ====
Version update (5.24.0 -> 5.25.0)

- Update to 5.25.0
* Qt >= 5.5 is now required
* Update mail- 16px icons to recognize the icons better
* Update mic and audio status icons to have the same layout and size
* New System Settings app icon
* Add symbolic status gnome icons
* Add gnome 3 symbolic icon support
* Added icons for Diaspora and Vector, see phabricator.kde.org/M59
* New icons for Dolphin and Gwenview
* Weather icons are status icons no app icons
* Add some links to xliff thanks gnastyle
* Add kig icon
* Add mimetype icons, krdc icon, other app icons from gnastyle
* Add certificate mimetype icon (kde#365094)
* Update gimp icons thanks gnastyle (kde#354370)
* Globe action icon is now no linked file please use it in digikam
* Update labplot icons according to mail 13.07. from Alexander Semke
* Add app icons from gnastyle
* Add kruler icon from Yuri Fabirovsky
* Fix broken svg files thanks fuchs (kde#365035)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== calendarsupport ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5CalendarSupport5

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== cantarell-fonts ====
Version update (0.0.24 -> 0.0.25)

- Update to version 0.0.25:
+ Outline and spacing on C,G.
+ Improved terminals on numerous glyphs.
+ Weight/stem width fixes (k,G).
+ Port imrpovements from regular to bold.
+ Improved metrics.
+ Fixes to f-ligatures.
+ Shape fixes to some numerals.
+ Fixes to anchors > composited glyphs.

==== ceph ====
Version update (10.2.2+git.1471622341.b446b70 -> 11.0.0+git.1472455009.a17726c)
Subpackages: librados2 librbd1

- pre_checkin.sh: add Source line for ceph-rpmlintrc
- move Source line for ceph-rpmlintrc from ceph.spec to ceph-test.spec
(see https://github.com/SUSE/ceph/pull/60 for rationale)
- Update to version 11.0.0+git.1472455009.a17726c:
+ ceph.spec.in: drop ceph-rpmlintrc source line
+ ceph.spec.in: drop epoch prefixes
- Update to version 11.0.0+git.1472384770.c9f3af8:
+ test/rgw: add --gateways-per-zone to test_multi.py
+ rgw: RGWDataSyncCR fails on errors from RGWListBucketIndexesCR
+ rgw: RGWCoroutinesManager::run returns status of last cr
+ os/bluestore: fix whitespace in bitset apply helper
+ cmake: do not link secret.c if not necessary
+ cmake: do not link against keyutils if not necessary
+ os/bluestore: fsck on mkfs (on by default)
+ os/bluestore: ensure block device size is a multiple of the block size
+ Revert "ceph.spec.in: don't try to package __pycache__ for SUSE"
+ rpm: force creation of Python 3 __pycache__ on SUSE
+ doc: add v0.94.7 changelog
+ doc: add v0.94.8 changelog
+ doc/releases: add v0.94.8 to timeline
+ doc/release-notes: fix v10.2.2 changelog link
+ unittest_bluefs: fix block device sizes
+ doc: do not list all major versions in get-packages.rst
+ doc: add missing PR to hammer 0.94.8 release notes
+ doc: release-notes.rst: move misplaced line
+ doc: fix two broken links in releases.rst
+ doc: add 11.0.0 to releases table
- pre_checkin.sh: forward-port insert_line_before() function from
filesystems:ceph:jewel/ceph version
- README-ceph-test.txt: new file
- ceph-test.spec: add ceph_ver_hack.sh as a source file
- Update to version 11.0.0+git.1472202104.8999301:
+ rgw: add deadlock detection to RGWCoroutinesManager::run()
+ src/common/lockdep.cc Reduce logging noise if lockdep is not tested
+ osd: fix updating same_interval_since logic of project_pg_history()
+ osd: drop duplicated sched_scrub during tick()
+ osd: move methods which don't need osd_lock from tick into
tick_without_osd_lock()
+ mon/PGMonitor: mark dump_object_stat_sum() as static
+ mon/PGMonitor: calc the %USED of pool using used/(used+avail)
+ rpm: proper packaging of udev directories
+ LTTng-UST disabled for openSUSE
+ ceph-disk: do not activate device that is not ready
+ osd: update reture type of get_pg_or_queue_for_pg() to PGRef
+ common/WPQ: add sanity check to avoid potential access violation
+ osd/osd_types: kill undefined_shard() method of pg_shard_t
+ release-notes.rst: draft 0.94.8 release notes
+ PG: introduce and maintain upset
+ mon/MonClient: should update sub_sent with sub_new
+ osd: set objecter.osdmap when starts
+ rgw: fix for assertion in RGWMetaSyncCR
+ PG: use upset rather than up for _update_calc_stats
+ rgw: do not try to encode or decode time_t
+ cls_rgw: fix the compiler warning
+ msg/async: fix compiler warnings
+ os/filestore: silence compiling warnings
+ test/rbd: silence compiling warnings
+ rgw: silence a compiling warning
+ msg/async/kqueue: avoid remove nonexist kqueue event
+ librbd: cache was not switching to writeback after first flush
+ mon/OSDMonitor: fix potential division-by-zero error
+ mon/OSDMonitor: get rid of snprintf when formatting output string
+ mon/OSDMonitor: avoid duplicated calls when determining osdmap boundary
+ osd/OSDMonitor: avoid duplicated assignment of oldest_map/newest_map
+ osd/OSDMonitor: drop redundant check of exists()
+ mon/PGMonitor: skip scrub checking if we can
+ mon/PGMonitor: drop redundant loading of dumpcontents
+ mon/PGMonitor: fix potential underflow
+ debian: replace SysV rbdmap with systemd service
+ os/bluestore: break down onode vs bnode_map size in log
+ os/bluestore/BlueFS: do direct io by default (not buffered)
+ os/bluestore/BlueFS: rename buffered_io option
+ os/bluestore: add multiple finishers to bluestore
+ os/bluestore: fix decoding hash of bnode
+ cmake: fix unmatched endforeach
+ debian: enable dh_python3 for python3 packages
+ debian: exclude python3* packages in dh_shlibdeps
+ debian: drop python-argparse dependency
+ os/bluestore: fix race condition during get_fs_usage()
+ os/bluestore: use bluefs_max_prefetch for log file prefetch
+ os/bluestore: use hex if we are running out of space
+ os/bluestore: fix assert
+ osd: bail out if transaction size overflows
+ os/filestore/FileJournal: bail out if transaction is too large
+ os/FuseStore: remove unneeded header file
+ os/Memstore.h: add override to virtual functions
+ os/MemStore: move OmapIteratorImpl to cc file
+ os/bluestore: include bluefs space in statfs result
+ common/config_opts: fix comment(radio -> ratio)
+ msg: kill unused macros
+ mon/OSDMonitor: add output field name of average/overload_utilization
+ test/librados: rados_connect() should succeed
+ ceph-osd-prestart.sh: check existence of OSD data directory
+ osd/ReplicatedPG:wipe off param op from generate_subop()
+ ceph-post-file: migrate to RSA SSH keys
+ ceph-post-file: Ignore keys offered by ssh-agent
+ os/Memstore: move PageSetObject class to .cc file
+ yasm-wrapper: dont echo the yasm command line
+ arch/arm.c: remove unnecessary variable read for simplicity
+ rpm: drop obsolete libs-compat metapackage
+ ceph.spec.in: drop trouble-making divider comments
+ rpm: do not unnecessarily spawn shells for scriptlets
+ cls_lock: support updating the lock cookie without releasing the lock
+ librbd: helper state machine to update lock cookie
+ librbd: store exclusive lock cookie instead of recalculating
+ librbd: exclusive lock now supports reacquiring a lost lock
+ librbd: helper state machine for asynchronous watch recovery
+ librbd: integrate asynchronous image rewatch state machine
+ librbd: image state machine now has hooks for lock requests
+ librbd: interlock image refresh and lock operations
+ librbd: remove unused refresh request logic
+ test/common/test_util.cc: FreeBSD does not have distro information
+ README.md: replace package build instructions with tarball instructions
+ doc: fix singleton example in Developer Guide
+ rgw: delete region map after upgrade to zonegroup map
+ rgw: fix period update --commit return error
+ cmake: use PERF_LOCAL_FLAGS only if defined
+ tests: populate /dev/disk/by-partuuid for scsi_debug
+ ceph.spec.in: don't try to package __pycache__ for SUSE
+ doc: fix wrong osdkeepalive name in mount.ceph manpage
+ rados-striper.sh: Use expect_failure and conditional stringmatching
+ Revert "ceph.spec.in: ppc64 build in Tumbleweed only"
+ jerasure: include generic objects in neon jerasure lib (like sse3/4)
- pre_checkin.sh: fix package files path rewriting
- _constraints: tweak values to pick up maximum number of OBS build workers
- Update to version 11.0.0+git.1471969747.79ca12e:
+ cmake: fix declaration position of WITH_TESTS option
- Update to version 11.0.0+git.1471959548.f013b97:
+ rpm: Renamed bcond tests flag to make_check
+ cmake: Use WITH_TESTS flag to guard the build of ceph-test scripts/binaries
+ rpm: Added ceph_test_package bcond flag to control the build of ceph-test
package

==== cervisia ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== cmake ====

- Respect CFLAGS while bootstraping
- Remove wrong FIXME from the spec
- Add relwithdebinfo as default target to ease living of sci packages
- Add possibility to switch between ninja and cmake by defining
%__builder ninja prior %cmake call bnc#995752

==== cogl ====
Version update (1.22.0 -> 1.22.2)
Subpackages: cogl-devel gstreamer-plugins-cogl libcogl-gles2-20 libcogl-pango20
libcogl20 typelib-1_0-Cogl-1_0 typelib-1_0-Cogl-2_0 typelib-1_0-CoglGst-2_0
typelib-1_0-CoglPango-1_0 typelib-1_0-CoglPango-2_0

- Add 0001-fix-build-failure-with-Werror-undef.patch:
Fix build failure for SLE (bgo#770533).
- Update to version 1.22.2:
+ Skip journal dumping if not supported (bgo#728355).
+ Support glMapBufferRange from ES3 (bgo#728355).
+ Improvements in the KMS winsys (bgo#756926, bgo#758073).
+ Require gettext 0.19 to avoid hacks (bgo#760285).
+ Respect the Wayland spec for EGL surface creation (bgo#765351).
+ Updated translations.
- Drop cogl-GLES-Support-glMapBufferRange.patch and
cogl-fix-black-login-screen.patch: Fixed upstream.

==== dolphin ====
Version update (16.04.3 -> 16.08.0)
Subpackages: dolphin-part libdolphinvcs5

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== dragonplayer ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== eventviews ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5EventViews5

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== extra-cmake-modules ====
Version update (5.24.0 -> 5.25.0)
Subpackages: extra-cmake-modules-doc

- Update to 5.25.0
* Qt >= 5.5 is now required
* Fix inclusion when there's no Qt5
* Add a fallback method for query_qmake() when there's no
Qt5 installation
* Make sure ECMGeneratePriFile.cmake behaves like the rest of ECM
* Appstream data changed its preferred location
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== frameworkintegration ====
Version update (5.24.0 -> 5.25.0)
Subpackages: frameworkintegration-devel frameworkintegration-plugin libKF5Style5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== gcr ====
Subpackages: gcr-data gcr-prompter gcr-viewer libgck-1-0 libgck-devel
libgcr-3-1 libgcr-devel typelib-1_0-Gck-1 typelib-1_0-Gcr-3 typelib-1_0-GcrUi-3

- Update to GNOME 3.20 -- Fate#318572.

==== gitg ====
Version update (3.20.1 -> 3.20.2)
Subpackages: gitg-lang libgitg-1_0-0 libgitg-ext-1_0-0

- Update to version 3.20.2:
+ Set primary selection to selected commit SHA1.
+ Scrollable commit message in diff view.
+ Incremental loading on large repositories.
+ Faster switching of large repositories.
+ Create global git config if it does not exist yet.
+ Remember opened projects regardless of gnome privacy settings.

==== gnome-packagekit ====

- Installation of local files has been removed from gpk, avoid
registration of bad rpm mime handler. See boo#941862, bgo#766896
- Update to GNOME 3.20 Fate#318572
- Drop patch license-agreement-title.patch: fixed upstream.
- Rebase
bnc#881245-update-test-affects-package-manager-should-restart-gpk-update-viewer.patch
- Remove py_requires: The python helper functions have been removed
since version 3.11.1.
- Update to version 3.20.0:
+ Add a missing tag to the AppData file.
+ Add resizing to various modal dialogs.
+ Updated translations.
- Disable gnome-packagekit-displaysize.patch: Upstream solved the
issue an other way, lets test if we can drop the patch we carry.
- Replace libcanberra-devel for pkgconfig(libcanberra-gtk3)
BuildRequires: Needed now that libcanberra-devel has been split,
and it is what configure looks for.
- Add bnc#939278-gnome-packagekit-asks-for-reboot-password-too-early.patch
Asks for reboot passwd too early (bnc#939278).
- Move gpk-application.appdata.xml to -extras package, where also
the .desktop file resides.
- Add bnc-946886-install-signatures-in-viewer.patch -- install
signatures in gpk-update-viewer if needed (bsc#946886).
- Update to version 3.18.0:
+ Updated translations.
- Update to version 3.17.90:
+ Ensure to escape package and vendor name.
+ Consider available packages as updatable.
+ Set minimum content height for scrolledwindows.
+ Avoid registering two main desktop file categories.
+ Updated translations.
- Rebase gnome-packagekit-OnlyShowIn.patch.
- Add patch license-agreement-title.patch: fix license agreement
title (bsc#927319).
- Update to version 3.16.0:
+ Updated translations.
- Update to version 3.15.92:
+ Updated translations.
- Update to version 3.15.91:
+ Updated translations.
- Update to version 3.15.90:
+ Remove the dialog to run newly installed software.
- Update to version 3.15.4:
+ Add suitable Keywords to the package updater desktop file.
+ Update executable blacklist for gnome-terminal.
+ Updated translations.
- Update to version 3.15.3:
+ Avoid conflict with new GTK+ API.
+ Updated translations.
- Rebase gnome-packagekit-OnlyShowIn.patch.
- Update to version 3.14.2:
+ Bugfix: Set a more reasonable size request for
gpk-update-viewer.
+ Updated translations.
- Add gpk-prefs to category X-GNOME-SystemSettings so it shows up
in gnome-control-center.
- Update to version 3.14.0:
+ Updated translations.
- Add patch

bnc#881245-update-test-affects-package-manager-should-restart-gpk-update-viewer.patch:
ensure gpk-update-viewer is restarted when restart_suggested is
part of the update flags. Initial patch by Roy Ley Mu
(bnc#881245).
- Update to version 3.13.92:
+ Bugfix: Do not use PkDesktop.
+ Updated translations.
- Update to version 3.13.91:
+ Bugfix: Properly call polkit and dbus for reboot.
+ Updated translations.
- Drop gnome-packagekit-fix-polkit-usage.patch: Fixed upstream.
- Update to version 3.13.90:
+ Add <project_license> to the AppData file.
+ Disable check for updates if gpk-update-viewer is uninstalled.
+ Don't default to -g -fexceptions.
+ Fixed first character eating.
+ Improve Application column results in gpk-log.
+ Remove out-of-date user help.
+ Rename gpk-log to Package Log.
+ Updated translations.
- Add gnome-packagekit-fix-polkit-usage.patch: properly call polkit
and dbus for reboot (bnc#881221).
- Drop gnome-icon-theme Requires: no longer required after the
merging of the themes into Adwaita theme, which in turn is a
dependency to GTK+ 3.0.
- Add category X-GNOME-SystemSettings to gpk-prefs.desktop so that
gnome-control-center can recongnize and show it (bnc#866235).
- Add category X-GNOME-SystemSettings to gpk-prefs.desktop so
that gnome-control-center can recongnize and show it (bnc#866235)
- Update to version 3.12.2:
+ Updated translations.
- Update to version 3.12.1:
+ Updated translations.
- Update to version 3.12.0:
+ Fix grammar.
+ Updated translations.
- Update to version 3.11.90:
+ Consistently name gpk-prefs as Package Sources.
+ Remove uses of the term "software update".
+ Updated translations.
- Update to version 3.11.5:
+ Fix compile with --disable-systemd.
+ Rename the 'Software Install' action to 'Package Install'.
+ Consistently use the name 'Packages'.
+ Use the name 'Package Updater' to avoid confusion with
gnome-software.
+ Updated translations.
- Drop gpk-expand-repos-and-softwarelog.patch, fixed upstream.
- Update to version 3.11.4:
+ Adjust for PackageKit depends/requires API changes.
+ Drop the rest of service pack support.
+ Fix incorrect-fsf-address.
+ Fix progress label in Software Sources.
+ Revert "Use the term software more consistently".
+ Spelling fixes.
+ Wrap license text.
+ Updated translations.
- Update to version 3.11.3:
+ Remove catalog support.
+ Remove the service pack support.
+ Bugfixes:
- Do not use deprecated libpackagekit functionality.
- Do not use the deprecated (and unused) PkMessage.
- Do not use the deprecated (and unused) UpgradeSystem.
- Fix compile with newer versions of PackageKit.
- Never, ever, use Werror.
- Standardize Help/About/Quit in the app menu.
+ Updated translations.
- Rebase gnome-packagekit-OnlyShowIn.patch.
- Update to version 3.11.1:
+ New (and removed) Features:
- Modernise a few of the Glade files.
- Remove gpk-distro-upgrade.
- Remove the gpk-install-catalog binary.
- Remove the gpk-install-mime-type binary.
- Remove the gpk-install-package-name binary.
- Remove the gpk-install-provide-file binary.
- Remove the python helper functions.
- Translate the AppData file.
+ Bugfixes:
- Do not set gnome-settings-daemon schema in the prefs program.
- Do not show a 'Check now' button in the prefs.
- Do not show a critical warning when we try to remove a
missing GSource.
- Do not support ConsoleKit anymore for restart detection.
- Do not use deprecated GTK symbols.
- Do not use the DesktopDB in gpk-application.
- Don't link to UPower as it is not needed by anything.
- Fix the AppData name to be less generic.
- Never pass relative paths to the session interface.
- Remove EggDBusMonitor as it was basically unused.
- Show the whole list in the window when showing repos.
- Use 16:9 screenshots in the AppData files.
+ Updated translations.
- Dro plibupower-glib-devel BuildRequires: no longer required.
- Rebase gnome-packagekit-OnlyShowIn.patch.
- Clean .desktop file handling as per removed features.
- Add gpk-expand-repos-and-softwarelog.patch, properly expand list
of repositories and software log, making them readable.
Taken from upstream git.
- Add missing patchtag to patch1.
- Remove conflict with
otherproviders(org.freedesktop.PackageKit.service): the conflict
was solved on file-level by renaming the service file provided by
apper (bnc#846342).
- Update to version 3.10.1:
+ Use the new 16:9 AppData screenshots.
+ Add Copyright information to the AppData files.
+ Updated translations.
- Update to version 3.10.0:
+ Updated translations.
- Update to version 3.9.92:
+ New Features:
- Add some desktop file categories.
- Add two AppData files for gnome-software.
- Open Listaller packages with gpk-install-local-file.
+ Bugfix:
- Change the name of the package installer from 'Software' to
'Packages'.
- Do not maximize by default as we do not have a draggable
header yet.
- Do not try and duplicate all the PackageKit errors in the
session helper.
- Do not use the deprecated
gtk_icon_size_lookup_for_settings().
- Don't pass relative file-paths to the session-service.
- Ignore package progress updates when the transaction is being
simulated.
- Mark some strings as translatable.
- Never show two modal dialog boxes when using the install
helpers.
- Port from a homegrown EggTest to GTest.
- Remove redundant calls to g_type_init.
- Set the default height of the details expander.
- Show a meaningful name in the about dialog.
- Show the update viewer in the app overview.
- Swapped "Required packages" and "Dependent packages" button
functionality.
- Updated the man pages to reflect reality.
- Use a reasonable default window size.
+ Updated translations.
- Drop gnome-packagekit-larger-details-pane.patch: fixed upstream.
- Drop gnome-packagekit-spinner.patch: fixed upstream.
- Rebase gnome-packagekit-OnlyShowIn.patch.
- Add gnome-packagekit-spinner.patch: Fix gnome-packagekit
'hanging' for a long time after executing the update and
consuming CPU resources (bnc#813176).
- Update to version 3.8.2:
+ Fix the search menu.
+ Open Listaller packages with gpk-install-local-file.
+ Update the man pages to reflect reality.
+ Updated translations.
- Update to version 3.8.1:
+ Show the update viewer in the app overview.
+ Add some translator comments.
+ Do not maximize by default as we do not have a draggable header
yet.
+ Do not try and duplicate all the PackageKit errors in the
session helper.
+ Mark strings as translatable.
+ Never show two modal dialog boxes when using the install
helpers.
+ Show a meaningful name in the about dialog.
+ Updated translations.
- Rebase gnome-packagekit-OnlyShowIn.patch.
- Add org.freedesktop.PackageKit.service provides and
conflict otherproviders(org.freedesktop.PackageKit.service).
- Update to version 3.8.0:
+ Fix icon size of pk-wait 48x48 icon.
+ Updated translations.
- Update to version 3.7.92:
+ Do not use GTK deprecated functions.
+ Don't show confirmation dialog by default.
+ Don't use horizontal scrollbars.
+ Fix alignment of dialog.
+ Ignore the selection-changed after clearing.
+ Updated translations.
- Update to version 3.7.5:
+ New Features:
- Add keywords for better discoverability.
- Support notification filtering.
+ Bugfix:
- Be more careful when dealing with windows.
- Don't call gpk_dbus_task_set_xid twice.
- Don't crash if the window that invoked the task exits before
the task starts up.
- Don't use the deprecated INCLUDES in Makefile.am.
- Fix a segfault when there is a distribution upgrade
available.
- Use the correct titles for any encoder or decoder version.
- Use the UTF-8 '?' rather than '...' in UI code.
+ Updated translations.
- Drop gpk-Dont-crash-if-the-window-invoking-task-exits.patch,
fixed upstream.
- Update gnome-packagekit-OnlyShowIn.patch: change NoDisplay to
false for gpk-prefs and gpk-update-viewer (bnc#803201).
- Don't mangle categories of gpk-prefs: the upstream ones are just
fine (showing up in Settings).
- Add gpk-Dont-crash-if-the-window-invoking-task-exits.patch, Don't
crash if the window that invoked the task exits before the task
starts up (rh#756208).
- Do not ship gpk-distro-upgrade (also not in -extras package):
Neither does the zypp backend offer this capability at this
moment nor do our repositories publish the needed product
information.
- Update to version 3.6.1:
+ Fix a segfault when distribution upgrades available
(bgo#685579)
+ Updated translations.
- Switch on systemd support: change with_systemd defines to 1.
- Update to version 3.6.0:
+ Bug fixes:
- Add trailing semicolon to satisfy desktop-file-validate
- Fix help links
+ Updated translations.
- Rebase gnome-packagekit-OnlyShowIn.patch.
- Update to version 3.5.90:
+ Do not show the preferences program in the application view
+ Do not show the update viewer in the application overview
+ Don't show the clear button when installing or removing
packages
+ Just call the install/remove program 'Software'
+ Make the header of gpk-application draggable
+ Reword the welcome message now we have no find button
+ Use 'Clear' for the clear packages button
+ Updated translations.
- Rebase gnome-packagekit-OnlyShowIn.patch.
- Replace gnome-doc-utils-devel BuildRequires with yelp-tools,
following upstream.
- Replace docbook-utils BuildRequires with docbook-utils-minimal:
It's sufficient for the build and avoids pulling in an entire
texlive stack.
- No longer pass --disable-scrollkeeper to conigure.
- Update to version 3.5.4:
+ Update the UI in gpk-prefs to reflect the changes in g-s-d
+ Remove any references to UpdateSystem
+ Updated translations.
- Update to version 3.5.3:
+ Don't use the deprecated g_thread_init and raise the required
glib version
+ Ensure the native and newest filters are synced at startup
+ Port away from the deprecated gdk_window_get_pointer()
+ Port away from the deprecated PackageKit subpercentage
properties
+ Raise the required PackageKit version to something non-obsolete
+ Remove PK_MESSAGE_ENUM_UNTRUSTED_PACKAGE, it's been removed in
PackageKit
+ Remove support for rollback, it's been removed in PackageKit
+ Remove support for SimulateX roles as these are no longer
present in PackageKit
+ We're only automatically downloading updates only now, so
change the label in the UI
+ Updated translations.
- Update to version 3.5.1:
+ New Features:
- Change the name of the package installer to be
'Install Software'.
- Maximise the 'Install Software' window by default.
- Move the 'Help' menu into the application menu.
- Move the installer filter options into the application bar.
- Move the selection items into actual buttons.
- Move the 'System' menu item in the 'Software Installer' into
the application menu.
- Nuke the 'Find' button in gpk-application.
- Remove the run button from gpk-application.
- Use a prettier, smaller, info panel in gpk-application.
+ Bugfix:
- Do not try to use the GSD schema if it has not been installed
- Remove the newest metagroup -- it's just not useful.
+ Updated translations.
- Add gnome-packagekit-displaysize.patch: Never stretch more than
90% of the screen area (bnc#730968).
- Add gnome-packagekit-larger-details-pane.patch to make the
details pane in the update viewer larger (bnc#730971,bgo#666635);
patch came from Gary and was pushed to the upstream bug report.
- Update to version 3.4.2:
+ Do not try to use the GSD schema if it has not been installed
+ Updated translations.
- Update to version 3.4.0:
+ Bugfix:
- Return with success if we try to install no packages
+ Updated translations.
- Update to version 3.3.92:
+ Improved strings in the UI.
+ Updated translations.
- Update to version 3.3.5:
+ New Features:
- Add optional systemd support
+ Bugfix:
- Drop an unneeded include
- Ensure that non-arch packages get the correct update size set
+ Updated translations.
- Remove xz BuildRequires now that it comes for free in the build
system.
- Get ready for full-switch to systemd:
+ Add a with_systemd macro, currently set to 0 as the systemd
support implies no support for ConsoleKit, which we want to
keep until sysvinit is not supported anymore.
+ Add pkgconfig(libsystemd-login) and pkgconfig(polkit-gobject-1)
BuildRequires if we build systemd support.
+ Pass --enable-systemd to configure if we build systemd support.
- Update to version 3.3.3:
+ Actually exit the GTK tools when the user closes the window
+ Add a friendly name for g-s-d in the log program
+ Don't autoclose when no updates but distro upgrades are
available
+ Don't spin in a loop in the updater when results come quicker
than we expect
+ Don't use the deprecated g_format_size_for_display
+ Don't use the deprecated gtk_hbox_new
+ Mark the '32-bit' and '64-bit' strings as translatable
+ Move the gtk-module support files to PK
+ New versions of GTK show image-broken when we specify an empty
string
+ Updated translations.
- Add xz BuildRequires because we can't build a package for a
xz-compressed tarball without explicitly specifying that... See
bnc#697467 for more details.
- Change category in gpk-prefs.desktop to
X-SuSE-ServiceConfiguration to avoid rpmlint warnings
- Modified categories in .desktop file so that it is grouped with
"System" applications in the desktop menus (bnc#714333)
- Update to version 3.2.1:
+ Updated translations.
- Update to version 3.2.0:
+ Bugfix:
- Correctly count the list of packages in the update viewer
- Ensure the full path is sent to PackageKit when installing
files
+ Updated translations.
- Update to version 3.1.92:
+ Never duplicate the 'Remove' tab for obsoleted software
+ Updated translations.
- Update to version 3.1.90:
+ New Features:
- Allow the list of package dependencies to expand horizontally
- Don't make each package have a bold summary now that the
package details are grey
- Make the version and architecture gray in the GUI tools
- Move the '7 Updates (45Mb)' text to the button box to match
the mockup
- Split up the updates in the update viewer into sections to
match the mockup
- Turn the cryptic i86_64 into a human readable string, e.g.
'64-bit'
+ Bugfix:
- Better default dialog height for the main application and the
update viewer
- Better default position for the package update description
vpane
- Better default size for the Log Viewer
- Better default size in the repositories prefs dialog
- Correctly use the theme colors rather than hardcoding gray
- Do not allow vertical scrollbars on the package metadata
- Do not show the full path when installing local files
- Do not use deprecated #defines from PackageKit
- Don't clear the welcome screen when starting gpk-application
- Fix the update viewer's progressbar alignment
- Give more space for error messages
- Hide the details expander by default in the updates viewer to
match the mockup
- Never set a window title if the dialog has no parent
- Nuke the 'Help' button in the update viewer to closer match
the mockups
- Rename the 'Software Updates' to 'Software Settings' to make
searching clearer
- Service Pack dialog: affirmative action goes to the right
- Show the application name in the run listbox
- Use a 'Cancel' button for a confirm dialog rather than
'Close'
- Drop gnome-packagekit-gpk-prefs-desktop.patch: the name has been
changed to 'Software Settings' upstream, which is good enough for
us.
- Update to version 3.1.3:
+ New Features:
- Support looking up Plasma services
- Pack package dependency lists into tabs
+ Bugfix:
- Add desktop file for gpk-dbus-service
- Add the new enumerated types
- Add two new translated error codes
- Do not set the package checkboxes to be selectable if the
backend is not able to do UpdatePackages
- Do not show the menu path of installed software as this makes
no sense with either GNOME Shell or Unity
- Don't use hardcoded paths to executables
- Fix compile warnings when using the latest GTK+
- Fix some sensitivity problems with gpk-application
- Make the session RemovePackageByFiles API match what we have
in kpackagekit
- Never auto-close the update-viewer if there are restarts to
agree to
- Remove the foo_DISABLE_DEPRECATED CPPFLAGS as it's hurting
with the GTK+ and Glib changes
- Rename to Software Install
- Use a proper application name
- Use GpkTask rather than PkClient while searching
- Use /org/gnome as starting path for schemas
+ Updated translations.
- Drop gnome-packagekit-gtk-3_1_6.patch: fixed upstream.
- Add gnome-packagekit-gtk-3_1_6.patch: Fix build with gtk+ 3.1.6,
which has gtk_[hv]box_new deprecated. Patch taken from git.
- Update to version 3.0.3:
+ Pack the tarball with a non-broken version of libtool this time
+ Add the gpk-dbus-service.desktop.in file to POTFILES.in as it
was missing
+ Never auto-close the update-viewer if there are restarts to
agree to.
- Remove call to autoreconf and gtk-doc BuildRequires. A working
libtool is in the tarball again.
- Update to version 3.0.2:
+ Only use the window title if the user set a parent window XID.
Fixes rh#700229.
+ Updated translations.
- Call autoreconf and add gtk-doc to BuildRequires to replace
tarball libtool with the one from openSUSE.
- Own /usr/share/GConf and /usr/share/GConf/gsettings directories.
- Add pkgconfig(dbus-glib-1) BuildRequires.
- Drop gconf2-devel, libunique-devel, sqlite-devel BuildRequires.
- Drop gnome-packagekit-BNC538353.patch: this needs to be moved to
gnome-settings-daemon. See bnc#689592.
- Update to version 3.0.0:
+ Add desktop file for gpk-dbus-service
+ Don't use hardcoded paths to executables
+ Rename to Software Install
+ Use a proper application name
+ Use /org/gnome as starting path for schemas
+ Updated translations.
- Update to version 2.91.92:
+ New Features:
- Toggle subpackages when toggling the main package
+ Bugfix:
- Don't show Distro Upgrade in Application view
- Don't show log viewer in Application view
- Don't show Service Pack Creator in application view
- Ensure we show the correct icon after unticking a to-be
installed item.
- Remove obsolete compile time version checks
+ Updated translations
- Changes from version 2.91.90:
+ New Features:
- Add a nice name for the pk-command-not-found executable in
gpk-log
+ Bugfix:
- Do not show a notification icon when the notification server
has persistence support. Fixes bgo#631726
- Do not use sounds in the update viewer
- Honor aclocal flags (bgo#641584)
- Make the warning dialog work
- Remove LTSP install root setting as it has moved to
gnome-settings-daemon.
- Remove the gpk-update-icon process, the functionality has
been moved to gnome-settings-daemon
- Remove the proxy setting functionality, it's been moved into
gnome-settings-daemon
- Remove the update preferences from the control center
- Remove useless 'FIXME' schema
- Sensitize the app's 'Find' button when pasting into the
GtkEntry
- Changes from version 2.91.5:
+ Do not use the deprecated gdk_app_launch_context_new
+ Fix gcc uninitialized variable warning
+ Raise the PackageKit dep to 0.6.5 for
pk_task_refresh_cache_async
+ Translations update
- Changes from version 2.91.4:
+ switch to GTK3
+ Updated translations
+ move repositories configuration into control center panel
+ allow to check for updates from control center panel
+ Port to latest GNOME3 API (libnotify 0.7 / glib logging
framework, GtkComboBoxTest / GtkApplication...)
+ remove gpk-backend-status
+ Improve update settings UI
+ Use pk_client_set_cache_age() to optimize the amount of
downloaded data
+ Add a simple distribution upgrade tool that uses PackageKit
+ Avoid multi-search in gpk-application at the same time
- Drop gnome-packagekit-BNC383261.patch,
gnome-packagekit-fate302445.patch: this needs to move to
gnome-settings-daemon. See bnc#689592.
- Drop gnome-packagekit-opensuse-libexec.patch: fixed upstream.
- Add docbook-utils BuildRequires and replace gtk2-devel
BuildRequires with pkgconfig(gtk+-3.0).
- Replace GConf2 schemas handling with GSettings schemas handling,
with %glib2_gsettings_schema_* macros.
- Remove --disable-schemas-install option, which was needed for
gconf only.
- Remove .desktop autostart workaround in install section: there's
no autostart file anymore.
- Call relevant macros in %post/%postun:
+ %desktop_database_post/postun because the package ships at
least one desktop file.
+ %icon_theme_cache_post/postun because the package ships themed
icons.
- Pass %{?no_lang_C} to %find_lang so that english documentation
can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
english documentation is not there anymore.
- Own /usr/share/gnome and /usr/share/gnome/help to fix build.
- Update gnome-packagekit-opensuse-libexec.patch to the patch
committed to git.
- Update to version 2.32.0:
+ Ensure we reset the GCancellable before doing each async method
+ Make apply button insensitive while applying
+ When showing the dep dialog, allow the addition packages to
scroll horizontally. Fixes rh#585554
+ Updated translations.
- Move gpk-log to the extras subpackage: it's not really useful by
default, for users.
- Make the extras subpackage require the same version of
gnome-packagekit.
- Update to version 2.31.92:
+ Add required compat defines for PackageKit < 0.6.5. Fixes
fdo#30139
+ Convert to using libupower-glib, rather than
devkit-power-gobject
+ Fix an update viewer crash if the GetUpdates call produced any
messages
+ Fix the gpk-application GetDepends and GetRequires calls
+ Only disable deprecated code for --enable-strict builds
+ Updated translations.
- Change DeviceKit-power-devel BuildRequires to
libupower-glib-devel.
- Add gnome-packagekit-opensuse-libexec.patch to use the right path
for libexecdir in openSUSE when checking if a binary is trusted.
- Update to version 2.31.91:
+ New Features:
- Show a GtkInfoBar explaining if updates have been held back
and an incomplete update list is shown
+ Bugfix:
- Fix the .desktop files
- Mark "_Install Update(s)" string as translatable
- Mark items in the Selection menu translatable
+ Updated translations.
- Rebase gnome-packagekit-gpk-prefs-desktop.patch.
- Update to version 2.31.6:
+ Nuke the '7 messages from the package manager' functionality
+ When the icon gets UpdatesChanged then hide until the new
GetUpdate is complete as the information is likely inaccurate
+ Updated translations.
- Changes from version 2.30.3:
+ Ensure we wait for the users response when an application uses
InstallMimeTypes. Fixes #28323
+ Fix an important bug that stopped GetUpdates from working
correctly. Fixes rh#615099
+ Ignore message types we do not recognize. Fixes rh#575669
+ Ensure files created with gpk-service-pack do not have ';' in
them
+ Save the package lists to the specified directory, not the
system default. Fixes rh#609531
+ Ensure we reset the UI to sensitive after creating the system
package list
+ Use the correct URL in the about dialog to fix an error. Fixes
rh#598261
+ Only mark the find button sensitive if we have valid text _and_
are not searching. Fixes rh#602422
+ Fix default value of ignored_messages key
+ Fix crash in gpk-dbus-service when looking for printer drivers
+ Updated translations.
- Rebase gnome-packagekit-BNC538353.patch.
- Drop gnome-packagekit-fix-default-ignored_messages.patch: fixed
upstream.
- Drop gnome-packagekit-crash-install-print-driver.patch: fixed
upstream.
- Add gnome-packagekit-gpk-prefs-desktop.patch to change the name
of the "Software Update" menu entry: this makes it possible to
get the translations from the po files during the build, while
suse_update_desktop_file requires manual translations by openSUSE
translators, which is duplicate work.
- bnc#380665 - Rename one of the "Software Update" menu entries to
"Software Update Preferences".
- Split out an -extras package which contains GUI frontends to
functionality that openSUSE provides in YaST Package Management.
Have -extras Require gnome-packagekit.
- Add gnome-packagekit-crash-install-print-driver.patch to fix a
crash when looking for printer drivers. Fix bnc#614774.
- Update to version 2.30.2:
+ Always show the search type menu icons. Fixes rh#530595
+ Ignore other-updates-held-back messages by default
+ Ignore repo-metadata-download-failed messages by default
+ Fix up a crash where installing a file failed. Fixes rh#586414
+ Fix compile with -Wshadow
+ Do not set the Add/Remove search to name but instead use the
GConf defaults
- This update fixes the search that is too strict by default,
bnc#597772.
- Add gnome-packagekit-fix-default-ignored_messages.patch to fix
the default value of the ignored_messages key. See bgo#620524.
- Update gnome-packagekit-fate302445.patch: we shouldn't look for
/usr/share/applications/YaST2/suse_register.desktop to decide
whether to run smolt or not. The check for
/var/run/smolt_do_opensuse_run and smoltGui should be enough.
Fix bnc#607132.
- Update to version 2.30.1:
+ Ensure the session UI always shows a package name rather than
a package-id
+ Ensure we process font requests by correctly processing the
session ignore blacklist
+ rh#581682: Fix a crash where the desktop file that was
installed has no root directory
+ Set the cancel button to be initially insensitive
+ rh#531878: Use GIO to launch the desktop file application after
it is installed
+ Use /proc/%i/exe instead of cmdline when getting the exec of a
sender
+ Zero the size value when the package finished signal is
recieved
+ Updated translations.
- Update to version 2.30.0:
+ New Features:
- Allow the user to select the GPG key information to be able
to verify it
- Use libunique to ensure we only ever have one update icon
running in the session
+ Bugfix:
- Added and updated screenshots
- Check if we got an invalid pixbuf to prevent a crash
- Ensure we close the previous dialog before we show an error
dialog. Fixes rh#569842
- Ensure we remove the timeout source of the auto-closing
dialogs. Fixes rh#570436
- Fix the error when the user clicks the about menu item
- Fix the second install in gpk-update-viewer when a backend is
reporting detailed errors
- Fix checking for updates every day when the user had
specified 'Never'. Fixes rh#544573
- Hide the update icon when all updates are blocked
- Mark a few menu items translatable
- Use gtk_buildable_get_name() rather than
gtk_widget_get_name()
- Rebase gnome-packagekit-fate302445.patch.
- Rebase gnome-packagekit-BNC383261.patch.
- Update to version 2.29.91:
+ New Features:
- Add InstallPrinterDrivers into the session API
+ Bugfixes:
- Do not assume that we are just installing when we get the
simulate request
- Do not schedule a refresh-cache if one is already waiting
- Do not show '0 bytes' in the confirmation dialog, just show
the message title
- Do not show the list of packages in the updates-available
bubble. Fixes bgo#609233
- Ensure parent window is set modal when installing packages
with deps using the DBus interface. Fixes rh#566741
- Fix an infinite loop in
gpk_update_viewer_are_all_updates_selected()
- Fixed incorrect use of g_ascii_strdown
- If we failed to update the system, wait a lot longer than two
seconds before we try again
- Read the PkClient error code enum and try to map it to a
PkErrorEnum code
- Return TRUE when InstallPackageFiles succeeds
- Use correct provides tag for postscriptdriver what-provides
query
- Add libgudev-1_0-devel BuildRequires.
- Move the change of gconf schema in gnome-packagekit_release.patch
to the gconf2-branding package, and rename
gnome-packagekit_release.patch to
gnome-packagekit-OnlyShowIn.patch.
- Drop gnome-packagekit-BNC542819.patch: the logic for patch based
updates should be done in PackageKit itself now.
- Update to version 2.29.3:
+ New Features:
- Remove the 'Install only security updates' button from the
security updates popup and open the update viewer instead
- Show transaction messages in gpk-repo
- Show the size of the extra packages that need to be
downloaded as deps
- Filter by the timespec in gpk-log, not the localised date.
Fixes rh#544667
- Show internal errors with modal dialogs, rather than just
failing quietly with an error on stderr
- Nest child updates in the update viewer so we don't show the
same update description multiple times
+ Bugfix:
- Fix menu entry capitalisation in gpk-application
- Make the security update notification dialog timeout after 15
seconds
- Ensure we detect and use x11 to fix the compile when linking
with --as-needed
- Actually cancel the transaction when the GpkWatch cancel
button is pressed
- Process every transaction finish, even if we're not watching
it
- Only wait 3 seconds (not 60) when we get the updates changed
signal
- Re-get the update list in the update viewer if the network
state changes. Fixes rh#543871
- Fix two potential crashers when gpk-update-viewer has
finished applying updates
- Don't hide the restart status icon just because the daemon
exited. Fixes rh#553966
- Fix some i18n bugs. Fixes bgo#606629
- Update to version 2.29.2:
+ New Features:
- Ensure the gpk-update-icon service is running by activating
it if somebody uses the interface. Fixes rh#548095
- Split up the DBus interface part of gpk-update-icon into an
session-activated gpk-dbus-service binary
+ Bugfix:
- Check the GpkDbusTask object only replies once to each
session request
- Update to version 2.29.1:
+ New Features:
- Convert all the client applications to use packagekit-glib2
- When the update viewer is no longer being shown, force an
update of the updates
- Remove a lot of the helpers and create a GpkTask module that
implements PkTask to handle the transaction interactions
- Use a GtkInfoBar to display the mobile broadband warning, not
a modal dialog box
- Add RemovePackageByFile() to match the API provided by
KPackageKit
- Format the dates in the update viewer according to the users
locale. Fixes bgo#601493
- Add a GConf key to add program exec names to ignore all DBus
requests from. Fixes rh#501023
- Make the update viewer cope with multiple packages
downloading at the same time
- Add a new GConf key to control whether we show all packages
in the add/remove UI
+ Bugfix:
- Fix thinko in spinner cell renderer's rendering
- Fix duplicate mnemonics in menu. Fixes bgo#601581
- Use the correct show-confirm key when installing a font
- Some more fixes to the session interface
- Don't escape the desktop summary in the run dialog. Fixes
bgo#596010
- Ignore cleanup and finished packages when we a simulating a
remove or install
- Never show the role text in the GpkWatch tooltip
- Only show 'and n other security updates when there are other
updates to list. Fixes rh#527149
- Don't show 4Gb as the file size when we actually get -1,
meaning percentage unknown
- Use seporate messages when we've finished installing all or
some of the updates
- If command line contains (deleted) the original binary is
invalid, and don't show it in the UI. Fixes rh#524873
- Don't show finished tasks in the menu dropdown
- Run the gpk-install-foo helpers with interaction
'hide-finished,hide-warnings' as we are handling failure
- Check we're not already doing GetUpdates or GetDistroUpgrades
before we try to do the action
- Ensure we use the progress callback to update the UI when
processing session DBus requests
- Use the desktop icon when we unselect the installed
application in gpk-application. Fixes fdo#25098
- Rebase gnome-packagekit-fate302445.patch.
- Rebase gnome-packagekit-BNC383261.patch.
- Update to version 2.28.2:
+ Don't cache the length of the deps array if we are removing
items from it
+ rh#530595 - Always show the search type menu icons
+ Remove the original package from the dep-confirmation screen
+ Ignore generic errors such as 'Failed' and do not show UI in
this case
+ Only wait 3 seconds (not 60) when we get the updates changed
signal
+ fdo#25098 - Use the desktop icon when we unselect the installed
application in gpk-application
+ Updated translations.
- Update to version 2.28.1:
+ Fix thinko in spinner cell renderer's render
+ Don't escape the desktop summary in the run dialog. Fixes
bgo#596010
+ Simulate removal for PackageKit >= 0.5.2 to fix removing
packages
+ Ignore cleanup and finished packages when we a simulating
remove or install
+ If command line contains (deleted) the original binary is
invalid. Fixes rh#524873
+ Never show the role text in the GpkWatch tooltip
+ Only show 'and n other security updates' when there are no
updates to list. Fixes rh#527149
+ Run the helpers with interaction 'hide-finished,hide-warnings'
as we are handling failure
+ Don't show the the 'all updates installed' dialog if we've just
shown the restart required dialog
+ Dont segfault if error_local is not set
+ Call gpk_dbus_task_install_files when installing local files
+ Updated translations.
- Drop gnome-packagekit-BNC543595.patch: fixed upstream.
- Update to version 2.28.0:
+ Only show installing and updating packages in the
GpkHelperDepsUpdate UI
+ fdo#23888 - Add a --enable-small-form-factor which disables the
auto-maximise code by default
+ Connect to the correct signal name for gnome-session idle
detection
+ Updated translations.
- Fix bnc#543595 - install local files.
- Fix for bnc#542819 - update dependencies failure
- Fix for bnc#538353
- Update to version 2.27.92:
+ New Features:
- Add simulation of installed files if the backend support it
+ Bugfix:
- Fix the help buttons
- Don't show duplicate package names in the reboot tooltip
- Fix a typo where the codec dialog would have no text
- Fix small memory leak and possible crash in the firmware code
- Fix a possible crash if X is misbehaving
- Fix a possible crash in the service pack code
- String fixes.
- Build fixes.
+ Updated translations.
- Changes from version 2.27.91:
+ New Features:
- Show the notifications pointing at the status icon when
possible
- Watch /dev/.udev/firmware-missing for changes so we pick up
hotplug requests too
- Add the pk-device-rebind functionality to replug hardware
+ Bugfix:
- Wrap license in about dialogue
- Remove markup from .ui files
- Add accelerator. Fixes bgo#590999
- Only return the newest packages for mime, fonts and codec
helpers. Fixes rh#514879
- Only install the newest native-arch package when using the
session methods. Fixes rh#509569
- Don't show a modal dialog when the user cancels the file
install
- Egg update to fix compile on FreeBSD
- Reduce in weight X-GNOME-Autostart-Phase desktop files
- Ignore hidden desktop files when we show the list of new
applications
- Only run the update if the dep check was successful
- Don't show the auth-failure dialog in the update viewer
- Show errors when using the firmware client
- Add CanStop and CanRestart methods on the ConsoleKit helper
- Never use a title on a modal error dialog
- Check in more places if a user is able to restart
- Add application/x-deb to the list of files we try to open
- Improve the firmware code when multiple devices are
requesting the same files
- Resize the deps list in a better way. Fixes rh#517662
- Don't show a single menu item for the left click on the
updates star
- Only show the on-battery warning only if we would have
performed the update
- Don't allow double click on a help item. Fixes rh#518854
- Change the firmware 'Do not show again' to a 'Ignore devices'
button
+ Updated translations.
- Drop gnome-packagekit-XGetWindowProperty.patch: upstream has
changed the code and the original issue shouldn't be there
anymore.
- Respin gnome-packagekit-BNC383261.patch.
- Update to version 2.27.5:
+ New Features:
- Port all the code to using PolicyKit1 rather than PolicyKit
- Reduce the size displayed as the package is downloaded in the
update viewer
- Scroll to the package being processed in the update list.
Fixes rh#510984
+ Bugfix:
- Don't unconditionally force on NEWEST filtering in the update
viewer
- Fix compile with old versions of PackageKit
- Fix up few translations to include trailing full stop. Fixes
fd#22745
- Don't do the update check as soon as the UpdatesChanged
signal is recieved
- Don't flash the gpk-repo UI when we enable or disable repos.
Fixes half of rh#510730
- Check the language tags before trying to parse them. Fixes
fd#22792
- Ensure we re-set the proxy when packagekitd re-appears on the
bus
- When doing queries automatically, don't spam them with
locking failure messages. Fixes gnome#588698
- Build a private library and link that to reduce the size of
the package by 300kb
- Don't set the package view insensitive when doing searches,
and add a delay to prevent flicker. Fixes rh#510730
- Make some of the libnotify bubbles more sane
- Don't show (0) in the update viewer if there is nothing to
download
- Don't show the 'Update System Now' link in the update
dropdown, the user should use the update viewer
- Add in different translations for encode, decode and unknown.
Fixes rh#497737
- Make the arch filter a single tickbox, not an option group
- Don't print the package list when we have a RestartRequired
of a security type
- Add some missing punctuation in some of the restart strings
- Reduce the size of two of the messagebox titles
- Add a 'Selected packages' group in add/remove programs like
kpackagekit
- Use the correct icon in the panel when restarts are required
- Actually make the gnome-session code work by using the
correct callback signatures
- We don't require DeviceKit, so don't check for it. Fixes
bgo#590157
- Only return the newest packages for mime, fonts and codec
helpers and to perhaps fix rh#514879
+ Updated translations.
- Respin gnome-packagekit-BNC383261.patch.
- Respin gnome-packagekit-fate302445.patch.
- Drop DeviceKit-devel and PolicyKit-gnome-devel BuildRequires.
- Update to version 2.27.3:
+ New Features:
- Add a link to gpk-log in gpk-application
- Enable nice build output on automake1.11
- Enable the warning GSEAL_ENABLE and fix up build failures
- Check for dependancies before downloading updates in the
update viewer
- Add --parent-window options to the client tools so they are
set transient in gpk-application
+ Bugfix:
- Include <locale.h> in gpk-update-viewer.c
- Use gtk_show_uri instead of deprecated gnome-open
- Don't use English enumerated values in GConf, instead use
seconds
- Check packages content-type before sending them to the daemon
- Add a tooltip to the package entry box in the service pack
creator
- Fix a double free when we fail to find packages
- Show normal updates in the update viewer severity column
- Populate the manpage package names correctly
- Force intltool to recognise .ui files as gettext/glade files
- Set the GpkHelperRun window to be modal. Fixes rh#506010
- Connect to gnome-session to get the idle status, not
gnome-screensaver
- Don't show a generic icon when we have messages
- Get rid of the 'Display Notification' section in the
preferences pane
- Don't try to update previously added deps to be installed in
the update viewer
- Fix mnemonic conflict in gpk-application
- When the user clicks hide, do so until the session is
restarted. Fixes rh#507062
- Move a few GConf keys to the correct places
- Add preference to be able to see every PackageKit
transaction, even if it's active
- Don't ignore the user pressing escape to dismiss a
GpkHelperChooser
- Use small form factor mode when the window is nearly as big
as the display
- Don't use a large package screen on notebooks with small
displays
- Use the newest filter by default in the update viewer. Fixes
rh#508505
- Use better wording when a package sent RequireRestart
- Don't include the size column in the Status column. Fixes
rh#509067
- Run all the packages after install, not just the selected
package
- Clear the run list when we setup a new GpkHelperRun. Fixes
fd#22489
- Use a PkPackageList in gpk-appliction to store the package
list
- If the use has set get-updates policy to never, then ignore
updates-changed events. Fixes rh#509104
- Fix up a translation string. Fixes fd#22623
- Don't connect to key press _and_ release in gpk-log. Fixes
rh#509636
+ Updated translations.
- Add py_requires.
- Do not package omf files twice.
- Pass --disable-schemas-install to configure.
- Update to version 2.27.2:
+ New Features:
- Replace GpkCellRendererProgress with GpkCellRendererSpinner
in the update viewer
- Set a busy cursor in the update viewer when the transaction
is not cancellable
- Warn when we use the update viewer when on mobile broadband
- Remove libsexy requirement, and raise our GTK+ dep to 2.15.0
- Raise our dep on GIO to 2.18.0
- Add a hard dep on libunique 1.0.0
- Remove the old update viewer, and rename gpk-update-viewer2
to gpk-update-viewer
- Convert glade files into GtkBuilder files, and drop the
libglade dep completely
- Remove the legacy org.freedesktop.PackageKit session
interface
- Use PkClient rather than GpkClient in gpk-application
- Add UI helpers for media changing
- Add media change functionality into gpk-application
- Remove GpkClient and move to a 99% asyncronous model of
operation
- Add DOAP project description
+ Bugfix:
- Use the busy cursor when we are in a transaction, not just
when we cannot cancel
- Make the install button the default widget in the update
viewer
- Make typeahead search work in the update list
- Add a silly hack until we get some metadata about animated
icon sizes
- Only get the distro upgrades in the update viewer if we
support it
- Make the tooltip past and present tense in the update viewer,
and also add a downloaded icon
- When we launch the update viewer manually, ensure we set the
title text correctly
- Allow the user to resize the gpk-log dialog. Fixes rh#493934
- Do the find callback when we paste text into the add-remove
software window. Fixes rh#492160
- If we have force-login set to true, never repeat the startup
check even if it fails
- Don't show cancel and close in the update viewer
- Preload all the common GConf keys in the update icon
- Never show the checkbox for the search welcome. Fixes
rh#496024
- Add a commits file taken from Nautilus, and autogenerate the
ChangeLog
- Denote the size column in the update viewer to belong to the
status column
- Set the size value to zero when we get an info update
- Add a completed modal dialog at the end of a successful
update, rather than just quitting
- Show the package name in the repo-signature dialog. Fixes
fd#21236
- Use libcanberra to do event sounds when we succeed in doing
an update
- Don't re-get the update list after a failed install, just
undisable the checkboxes. Fixes rh#496870
- Enable autocode for compiler defines in the markdown parser.
Fixes rh#497162
- Only select the package item after all the results have
appeared
- Add another helper to cope with deps from the update process
- Don't inhibit to gnome-power-manager, use gnome-session
- Use DeviceKit-power rather than gnome-power-manager to get
the on-battery status
- Pop up a modal dialog if any of the methods in
gpk-install-foo fail. Fixes rh#500237
- Provide some #ifdef compatibility so that git master GPK can
build with >= 0.4.4 PK
- Export InstallCatalogs on the session bus. Fixes rh#502562
- Don't show a long list of packages in the catalog install
screen, instead use a scrollable package list
- Refresh the system package list if it does not exist in the
service pack creation tool. Fixes rh#502589
- Remove GpkSmartIcon and use GpkStatusIcon directly
- Only show the monitor icon when the task is no longer
connected to the bus but running
- Inhibit the icon in GpkCheckUpdate rather than having
last-set policy. Fixes rh#492005
- Add a loading string when loading details in the update
viewer
- Fix the window icon, title, and some inconsistent text in the
update viewer
- Don't critically warn when we have no packages selected after
install
+ Updated translations.
- Rewrite gnome-packagekit-BNC383261.patch to apply to the new
layout of 2.27.2
- Add DeviceKit-devel, DeviceKit-power-devel, libcanberra-devel,
libunique-devel BuildRequires.
- Remove libglade2-devel BuildRequires.
- Do not explicitly specify the path to the gconf schemas in the
file list, and instead use the list that was generated with the
gconf macros.
- Update to version 2.27.1:
+ New Features:
- Switch gnome-packagekit to the GNOME release guidelines and
version numbers
- Provide tooltips for the icons in the new update viewer
- Add a new menu item 'Select security updates' to the new
update viewer. Fixes rh#491713
- Hide the update icon notification when the update viewer is
opened
- Switch the default update viewer to gpk-update-viewer2
+ Bugfix:
- Fix some window icons in gpk-repo
- Don't set the default widget to the install button when we
reconsider. Fixes rh#492645
- Don't scroll to the downloading object.
- Fix the MimeType entry of gpk-install-catalog.
Fixes rh#489473
- Set an icon for gpk-backend-status. Fixes fdo#20681
- Make gpk-application file list resizable, and a good default
size. Fixes rh#490334
- Don't use newline as a paragraph spacer in the Markdown
parser
- The changelog data is markup formatted, so use the markdown
parser before displaying
- Don't escape markdown code sections, and enable autocode for
certain special words
- Make the new update viewer respond to
PkControl::updates-changed and update the update list
- Set an initial size of the update viewer using
gpk_window_set_size_request. Fixes rh#491422
- Wrap the header text to allow the new update viewer to be
made much smaller
- Don't resize the main window when no updates are available,
use a modal window. Fixes rh#491708
- If the new update viewer is running in a transaction when
it's closed, just hide the window
- Don't set the model with finished, as working round it in the
CellRenderer breaks things
- Allow gpk-update-icon to be run in XFCE. Fixes rh#491104
- Set the update viewer title properly when there are no
updates. Fixes rh#492096
- After we've applied updates, close the UI rather than getting
the new update list. Fixes rh#491710
+ Updated translations.
- Added support for translation-update-upstream (FATE#301344).
- Update to version 0.4.5:
+ New Features:
* Merge in a new update viewer with a very different UI
+ Bugfix:
* Allow markup in the error dialog message
* Disable the polling in GpkAnimatedIcon if the widget is
disabled
* Don't check for local for all the GUI tools, so we can use
vncviewer
* Correct some of the strings we show the user about the
restart mode
+ Translation updates
- Removed gnome-packagekit-fate303359.patch as per bnc#440498 (it
was not applied anyway)
- Remove BuildRequires cairo-devel and gtk-doc
- Don't use autoreconf
- Update to version 0.4.4:
+ Small improvement on PK_ROLE_ENUM_SEARCH_DETAILS
+ Fix compile failure with gcc-4.4.0 and old versions of glib2
+ Correct the specification in that we shouldn't send the provide
name encoded with the provides prefix, as this is distro
specific
+ Don't show the filter UI when we offer applications to install
+ Bump the required version of PackageKit to 0.4.4 now we are
turning on lots of compiler warnings
+ Use GTK 2.15.x new GtkEntry features to remove dep on libsexy
+ Fix infinite recursion when we try to format invalid markdown.
Fixes rh#486334
+ Provide a GConf key to allow ignoring some daemon messages
+ Change the update viewer UI to be 'Ignore this update' not
'Ignore this package'
+ When we loose network and have updates, hide the icon as we
can't do the updates
+ Updated translations.
- Remove BuildRequires: libsexy-devel.

==== gnome-settings-daemon ====

- Add gnome-settings-daemon-bring-back-updates-plugin.patch:
Revert upstream commits fc22a8100fa40533fddfb4338160a20188e46c6b
and e3e961c52419df5f2544b24957e71cf3a4c5ef85 to bring back the
updates plugin.(bsc#991024)

==== gpg2 ====
Version update (2.1.13 -> 2.1.15)

- GnuPG 2.1.15:
* gpg: Remove the --tofu-db-format option and support for the
split TOFU database.
* gpg: Add option --sender to prepare for coming features.
* gpg: Add option --input-size-hint to help progress indicators.
* gpg: Extend the PROGRESS status line with the counted unit.
* gpg: Avoid publishing the GnuPG version by default with --armor.
* gpg: Properly ignore legacy keys in the keyring cache.
* gpg: Always print fingerprint records in --with-colons mode.
* gpg: Make sure that keygrips are printed for each subkey in
- -with-colons mode.
* gpg: New import filter "drop-sig".
* gpgsm: Fix a bug in the machine-readable key listing.
* gpg,gpgsm: Block signals during keyring updates to limits the
effects of a Ctrl-C at the wrong time.
* g13: Add command --umount and other fixes for dm-crypt.
* agent: Fix regression in SIGTERM handling.
* agent: Cleanup of the ssh-agent code.
* agent: Allow import of overly long keys.
* scd: Fix problems with card removal.
* dirmngr: Remove all code for running as a system service.
* tools: Make gpg-wks-client conforming to the specs.
* tests: Improve the output of the new regression test tool.
* tests: Distribute the standalone test runner.
* tests: Run each test in a clean environment.
* Spelling and grammar fixes.
- fix build error, adding
0001-common-Follow-up-to-14479e2-fix-void-return-in-non-v.patch
- GnuPG 2.1.14:
* gpg: Removed options --print-dane-records and --print-pka-records.
The new export options "export-pka" and "export-dane" can instead
be used with the export command.
* gpg: New options --import-filter and --export-filter.
* gpg: New import options "import-show" and "import-export".
* gpg: New option --no-keyring.
* gpg: New command --quick-revuid.
* gpg: New options -f/--recipient-file and -F/--hidden-recipient-file
to directly specify encryption keys.
* gpg: New option --mimemode to indicate that the content is a MIME
part. Does only enable --textmode right now.
* gpg: New option --rfc4880bis to allow experiments with proposed
changes to the current OpenPGP specs.
* gpg: Fix regression in the "fetch" sub-command of --card-edit.
* gpg: Fix regression since 2.1 in option --try-all-secrets.
* gpgv: Change default options for extra security.
* gpgsm: No more root certificates are installed by default.
* agent: "updatestartuptty" does now affect more environment
variables.
* scd: The option --homedir does now work with scdaemon.
* scd: Support some more GEMPlus card readers.
* gpgtar: Fix handling of '-' as file name.
* gpgtar: New commands --create and --extract.
* gpgconf: Tweak for --list-dirs to better support shell scripts.
* tools: Add programs gpg-wks-client and gpg-wks-server to implement
a Web Key Service. The configure option --enable-wks-tools is
required to build them; they should be considered Beta software.
* tests: Complete rework of the openpgp part of the test suite. The
test scripts have been changed from Bourne shell scripts to Scheme
programs. A customized scheme interpreter (gpgscm) is included.
This change was triggered by the need to run the test suite on
non-Unix platforms.
* The rendering of the man pages has been improved.
- drop upstream gnupg-make_--try-all-secrets_work.patch

==== gpgmepp5 ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5QGpgme5

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== gpsd ====
Version update (3.15 -> 3.16)
Subpackages: gpsd-devel libQgpsmm22 libgps22 python-gpsd

- Update gpsd.keyring (old key 8421F11C got superseeded by 8C6C738D)
- Added "-std=gnu++98" to the compile-flags otherwise compilation will break
on systems with >= gcc6
- ifdef "Requires: pps-tools-devel" since it's only available on recent
os-versions
- Update to version 3.16
* Test rebuilds for mid-2015 leapsecond bump.
* Regression tests will run even if "python" in Python 3.
* Build correctly on systems where -ltinfo is split from -lncurses.
* Avoid some rare overflow conditions in PPS code.
* Fix bugs in JSON sat-view parsing due to the JSON parser stuffing
ints into shorts.
* Various small fixes to AIS interpretation.
* Prevent a memory leak in long-running gpsmon instances.
* Fix Savannah bug #45270: serial driver does not work properly on pipes.
* Fix Savannah bug #44648: GPSD won't build if CCFLAGS contains options
that are only compatible with the cros1s-compiler.
* Fix Savannah bug #45342: SConstruct generates wrong *.pc files.
* Fix Savannah bug #46495: gpsd_poll may crash due to unitialized pointer
(probably due to buggy FD_ISSET on host system).
* Fix Savannah bug #46648: gpsd crashes and buffer overflow is reported
when terminated.
* Fix Savannah bug #46802: AIVDM to CSV is broken in some weird cases.
* Fix Savannah bug #46804: JSON satellite view parsing is somewhat broken.

==== grantleetheme ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5GrantleeTheme5

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== grilo-plugins ====
Subpackages: grilo-plugin-tracker grilo-plugin-youtube

- Conditionally disable LUA Factory on openSUSE < 13.2 (SLE and
Leap 42.x). LUA 5.3 is not available and as a consequence we
can't ship LUA Factory plugins.
- Conditionally disabled chromaprint on openSUSE < 13.2 (SLE and
Leap 42.x). GStreamer/chroma support is not available.

==== gsettings-desktop-schemas ====
Subpackages: gsettings-desktop-schemas-devel

- Update to GNOME 3.20 Fate#318572
- Remove gsettings-desktop-schemas-bnc872820-wm-button-layout.patch
upstreamed.

==== gtk-vnc ====
Version update (0.5.4 -> 0.6.0)
Subpackages: gtk-vnc-lang libgtk-vnc-2_0-0 libgvnc-1_0-0 typelib-1_0-GVnc-1_0
typelib-1_0-GtkVnc-2_0

- Update to version 0.6.0:
+ Important changes:
- Default to build with GTK-3, use --with-gtk=2.0 to override.
+ New features:
- Add --with-tls-priority configure flag to set default TLS
priority string.
- Add a 'vnc-error' signal to report reason for disconnect.
- Add support for fallback to GNUTLS system trust DB.
+ Bug fixes:
- Fix crash on Windows with GTK3 checking realized state.
- Fix XKB detection of keyboard mapping with Xwayland.
- Switch back to XKB detection for Xwayland.
- Remove duplicate cert expiry check.
- Avoid misc compile warnings.
- Add missing API docs + GObject introspection annotations.
- Add missing GIO dep on gvnc library GObject introspection
build.
- Remove unused code.
- Fix redraw on Win10.
- Drop support for gnutls < 2.2.0.
- Fix path to h2def script.
- Update compiler warning detection to fix clang build.
- Ignore cast align warnings to fix clang build.
- Fix endianess inversion when setting pixel format.

==== gwenview5 ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== icewm ====
Subpackages: icewm-config-upstream icewm-default icewm-lite

- Add patch icewm-exit-fork.patch to avoid deadlock (bsc#977233)
- Modify: icewm-preferences.patch
bnc#977233 modify the command to correct one.

==== incidenceeditor ====
Version update (16.04.3 -> 16.08.0)

- Build only on architectures supported by libqt5-qtwebengine
- Update rpm group classification
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== java-1_5_0-gcj-compat ====
Subpackages: java-1_5_0-gcj-compat-devel

- Add correct alternatives listing bnc#994284

==== juk ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kaccounts-integration ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libkaccounts1

- Add libkaccounts1 to baselibs.conf.
Without libkaccounts1-32bit, neither kaccounts-integration-32bit
nor purpose-32bit are installible.
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kaccounts-providers ====
Version update (16.04.3 -> 16.08.0)

- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kactivities-stats ====
Version update (5.24.0 -> 5.25.0)

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kactivities5 ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kactivities5-devel kactivities5-imports libKF5Activities5

- Update to 5.25.0
* Qt >= 5.5 is now required
* [KActivities-CLI] commands for starting and stopping an activity
* [KActivities-CLI] setting and getting activity name,
icon and description
* Added a CLI application for controlling activities
* Adding scripts to switch to previous and next activities
* Method for inserting into QFlatSet now returns index along
with the iterator (kde#365610)
* Adding ZSH functions for stopping and deleting
non-current activities
* Added isCurrent property to KActivities::Info
* Using constant iterators when searching for activity
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kactivitymanagerd ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kalarmcal ====
Version update (16.04.3 -> 16.08.0)

- Remove unnecessary build requirements
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kalgebra ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kalzium ====
Version update (16.04.3 -> 16.08.0)

- Remove unnecessary Requires: libkdeedu4-devel
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kamera ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kanagram ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kapptemplate ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== karchive ====
Version update (5.24.0 -> 5.25.0)
Subpackages: karchive-devel libKF5Archive5

- Update to 5.25.0
* Qt >= 5.5 is now required
* Handle multiple gzip streams (kde#232843)
* Assume a directory is a directory, even if the permission bit
is set wrong (kde#364071)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kate ====
Version update (16.04.3 -> 16.08.0)
Subpackages: kate-plugins kwrite

- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== katomic ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kauth ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kauth-devel libKF5Auth5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kblackbox ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kblocks ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kbookmarks ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kbookmarks-devel libKF5Bookmarks5

- Update to 5.25.0
* Qt >= 5.5 is now required
* KBookmarkGroup::moveBookmark: fix return value when item is
already at the right position
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kbounce ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kbreakout ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kbruch ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kcachegrind ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kcalc ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kcalcore ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kcalutils ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5CalendarUtils5

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kcharselect ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kcm_sddm ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kcmutils ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kcmutils-devel libKF5KCMUtils5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kcodecs ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kcodecs-devel libKF5Codecs5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kcolorchooser ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kcompletion ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kcompletion-devel libKF5Completion5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kconfig ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kconf_update5 kconfig-devel libKF5ConfigCore5 libKF5ConfigGui5

- Update to 5.25.0
* Qt >= 5.5 is now required
* Add DeleteFile and RenameFile standard shortcut
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kconfigwidgets ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kconfigwidgets-devel libKF5ConfigWidgets5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kcontacts ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kcoreaddons ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kcoreaddons-devel libKF5CoreAddons5

- Update to 5.25.0
* Qt >= 5.5 is now required
* Install known licenses and find them at runtime (regression fix)
(kde#353939)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kcrash ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kcrash-devel libKF5Crash5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kcron ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdbusaddons ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kdbusaddons-devel kdbusaddons-tools libKF5DBusAddons5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kde-cli-tools5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kde-gtk-config5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kde-l10n ====
Version update (16.04.3 -> 16.08.0)
Subpackages: kde-l10n-cs kde-l10n-da kde-l10n-da-data kde-l10n-da-doc
kde-l10n-de kde-l10n-de-data kde-l10n-de-doc kde-l10n-el kde-l10n-en_GB
kde-l10n-en_GB-data kde-l10n-en_GB-doc kde-l10n-es kde-l10n-es-data
kde-l10n-es-doc kde-l10n-fr kde-l10n-fr-data kde-l10n-hu kde-l10n-it
kde-l10n-it-data kde-l10n-it-doc kde-l10n-ja kde-l10n-pl kde-l10n-pl-data
kde-l10n-pt kde-l10n-pt_BR kde-l10n-pt_BR-data kde-l10n-ru kde-l10n-ru-data
kde-l10n-zh_CN kde-l10n-zh_TW

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kde-print-manager ====
Version update (16.04.3 -> 16.08.0)

- Adjust filelist for the plasmoid appdata, installed with KF >= 5.25.0
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kde-user-manager ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kdebase4 ====
Version update (16.04.3 -> 16.08.0)
Subpackages: kdebase4-libkonq kdebase4-nsplugin kdepasswd kdialog
keditbookmarks konqueror konqueror-plugins libkonq-devel libkonq5

- Disable build of the KDE4 folderview applet by setting the
cmake option BUILD_plasma=OFF instead of removing the files after
it has been built
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php
- Drop the buildrequires on baloo and libbaloowidgets. This will not
work with the Baloo5 based db.

==== kdebase4-runtime ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdeclarative ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kdeclarative-components kdeclarative-devel libKF5CalendarEvents5
libKF5Declarative5 libKF5QuickAddons5

- Update to 5.25.0
* Qt >= 5.5 is now required
* Actually emit valueChanged
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kded ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kded-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kdeedu-data ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdelibs4 ====
Version update (4.14.22 -> 4.14.23)
Subpackages: kdelibs4-core kdelibs4-doc libkde4 libkde4-devel libkdecore4
libkdecore4-devel libksuseinstall1

- Update to 4.14.23
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Add upstream patch KDE_HAVE_GCC_VISIBILITY-fix.patch to fix the
value so that GCC6 is taken into account
- get rid of opensuse_bs macro

==== kdelibs4support ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kdelibs4support-devel libKF5KDELibs4Support5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kdenetwork4-filesharing ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdepim ====
Version update (16.04.3 -> 16.08.0)
Subpackages: akonadi_resources akregator5 kaddressbook5 kalarm5 kmail5 knotes5
kontact5 korganizer5

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdepim-addons ====
Version update (16.04.3 -> 16.08.0)

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdepim-apps-libs ====
Version update (16.04.3 -> 16.08.0)

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdepim-runtime ====
Version update (16.04.3 -> 16.08.0)

- Provide/Obsolete kio-pimlibs
- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdesdk4-scripts ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdesignerplugin ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kdesignerplugin-devel kdesignerplugin-lang

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kdesu ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kdesu-devel libKF5Su5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kdewebdev4 ====
Version update (16.04.3 -> 16.08.0)
Subpackages: kfilereplace kimagemapeditor klinkstatus

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdewebkit ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kdewebkit-devel libKF5WebKit5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kdf ====
Version update (16.04.3 -> 16.08.0)
Subpackages: kwikdisk

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdgantt2 ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5KDGantt2-5

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdiamond ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdnssd ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kdnssd-framework ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kdnssd-framework-devel libKF5DNSSD5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kdoctools ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kdoctools-devel kdoctools-lang

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kemoticons ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kemoticons-devel libKF5Emoticons5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kf5-filesystem ====
Version update (20160420 -> 20160807)

- Own %_kf5_appstreamdir
- Use metainfo for %_kf5_appstreamdir on Leap >= 42.2
- Use appdata dir for %_kf5_appstreamdir on older oS releases

==== kfilemetadata5 ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kfilemetadata5-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* Check for xattr during config step, otherwise the build
might fail (if xattr.h is missing)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kgamma5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kgeography ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kget ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kglobalaccel ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kglobalaccel-devel kglobalaccel5 libKF5GlobalAccel5
libKF5GlobalAccelPrivate5

- Make sure the right subpackage calls ldconfig
- Update to 5.25.0
* Qt >= 5.5 is now required
* Use klauncher dbus instead of KRun (kde#366415)
* Launch jumplist actions via KGlobalAccel
* KGlobalAccel: Fix deadlock on exit under Windows
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kgoldrunner ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kgpg ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kguiaddons ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kguiaddons-devel libKF5GuiAddons5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== khangman ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kholidays ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== khotkeys5 ====
Version update (5.7.3 -> 5.7.4)
Subpackages: khotkeys5-devel

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== khtml ====
Version update (5.24.0 -> 5.25.0)
Subpackages: khtml-devel libKF5KHtml5

- Update to 5.25.0
* Qt >= 5.5 is now required
* Support percentage unit in border radius
* Removed prefixed version of background and
border radius properties
* Fixes in 4-values shorthand constructor function
* Create string objects only if they will be used
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== ki18n ====
Version update (5.24.0 -> 5.25.0)
Subpackages: ki18n-devel libKF5I18n5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kiconthemes ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kiconthemes-devel libKF5IconThemes5

- Update to 5.25.0
* Qt >= 5.5 is now required
* Greatly improve the performance of makeCacheKey, as it is
a critical code path in icon lookup
* KIconLoader: reduce number of lookups when doing fallbacks
* KIconLoader: massive speed improvement for
loading unavailable icons
* Do not clear search line when switching category
* KIconEngine: Fix QIcon::hasThemeIcon always returning true
(kde#365130)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php
- Drop upstreamed
0001-KIconEngine-Fix-QIcon-hasThemeIcon-always-returning-.patch

==== kidentitymanagement ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kidletime ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kidletime-devel libKF5IdleTime5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kig ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kimageformats ====
Version update (5.24.0 -> 5.25.0)

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kimap ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kinfocenter5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kinit ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kinit-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* Adapt KInit to Mac OS X
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kio ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kio-core kio-devel

- Remove workaround to install "Create New" templates as actual
files, the issues with using the embedded resource are fixed in
5.25.0
- Update to 5.25.0
* Qt >= 5.5 is now required
* Fix KIO::linkAs() to work as advertised, i.e.
fail if dest already exists
* Fix KIO::put("file:///path") to respect the umask (kde#359581)
* Fix KIO::pasteActionText for null dest item and for empty URL
* Add support for undoing symlink creation
* GUI option to configure global MarkPartial for KIO slaves
* Fix MaxCacheSize limited to 99 KiB
* Add clipboard buttons to checksums tab
* KNewFileMenu: fix copying template file from embedded resource
(kde#359581)
* KNewFileMenu: Fix creating link to application (kde#363673)
* KNewFileMenu: Fix suggestion of new filename when file
already exist in desktop
* KNewFileMenu: ensure fileCreated() is emitted for
app desktop files too
* KNewFileMenu: fix creating symlinks with a relative target
* KPropertiesDialog: simplify button box usage,
fix behavior on Esc
* KProtocolInfo: refill cache to find newly installed protocols
* KIO::CopyJob: port to qCDebug
(with its own area, since this can be quite verbose)
* KPropertiesDialog: add Checksums tab
* Clean url's path before initializing KUrlNavigator
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kio-extras5 ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kio_audiocd ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kiriki ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kitemmodels ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kitemmodels-devel libKF5ItemModels5

- Update to 5.25.0
* Qt >= 5.5 is now required
* KRearrangeColumnsProxyModel: fix assert in index(0, 0)
on empty model
* Fix KDescendantsProxyModel::setSourceModel() not
clearing internal caches
* KRecursiveFilterProxyModel: fix QSFPM corruption due to
filtering out rowsRemoved signal (kde#349789)
* KExtraColumnsProxyModel: implement hasChildren()
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kitemviews ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kitemviews-devel libKF5ItemViews5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kiten ====
Version update (16.04.3 -> 16.08.0)
Subpackages: fonts-KanjiStrokeOrders

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kjobwidgets ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kjobwidgets-devel libKF5JobWidgets5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kjs ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kjs-devel libKF5JS5 libKF5JSApi5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kjsembed ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kjsembed-devel libKF5JsEmbed5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kjumpingcube ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kldap ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kleopatra5 ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== klettres ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kmag ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kmahjongg ====
Version update (16.04.3 -> 16.08.0)

- Update/cleanup build requirements
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kmailtransport ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kmbox ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kmediaplayer ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kmediaplayer-devel libKF5MediaPlayer5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kmenuedit5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kmime ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kmines ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kmousetool ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kmouth ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kmplot ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== knavalbattle ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== knetwalk ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== knewstuff ====
Version update (5.24.0 -> 5.25.0)
Subpackages: knewstuff-devel libKF5NewStuff5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== knotifications ====
Version update (5.24.0 -> 5.25.0)
Subpackages: knotifications-devel libKF5Notifications5

- Update to 5.25.0
* Qt >= 5.5 is now required
* Don't set parent of sublayout manually, silences warning
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== knotifyconfig ====
Version update (5.24.0 -> 5.25.0)
Subpackages: knotifyconfig-devel libKF5NotifyConfig5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kolf ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kollision ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kolourpaint ====
Version update (16.04.3 -> 16.08.0)

- Do not recommend ksaneplugin any more, the KF5 version does not
use it (it hasn't been ported to KF5 anyway)
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kompare ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== konquest ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== konsole ====
Version update (16.04.3 -> 16.08.0)
Subpackages: konsole-part

- Add fix-extra-window-when-restored-by-session-management.patch to
prevent creating an extra window upon session restoration
(kde#367447)
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php
- Drop upstreamed patch Write-profile-changes-to-Konsoles-location.patch

==== kontactinterface ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kopete ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kpackage ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kpackage-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* Infer the ParentApp from the PackageStructure plugin
* Let kpackagetool5 generate appstream information for kpackage components
* Make it possible to load metadata.json file from kpackagetool5
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kparts ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kparts-devel libKF5Parts5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kpat ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kpeople5 ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kpeople5-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kpimtextedit ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kplotting ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kplotting-devel libKF5Plotting5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kppp ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kpty ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kpty-devel libKF5Pty5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kqtquickcharts ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== krdc ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kremotecontrol ====
Version update (16.04.3 -> 16.08.0)
Subpackages: liblibkremotecontrol1

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kreversi ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== krfb ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kross ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kross-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* Remove unused KF5 dependencies
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kruler ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== krunner ====
Version update (5.24.0 -> 5.25.0)
Subpackages: krunner-devel libKF5Runner5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kscd ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.04.3
* KDE Applications 16.04.3
* https://www.kde.org/announcements/announce-applications-16.04.3.php

==== kscreen5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kscreenlocker ====
Version update (5.7.3 -> 5.7.4)
Subpackages: libKScreenLocker5

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kservice ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kservice-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* applications.menu: remove references to unused categories
* Always update the Trader parser from yacc/lex sources
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kshisen ====
Version update (16.04.3 -> 16.08.0)

- Cleanup build requirements
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ksirk ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kspaceduel ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ksquares ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ksshaskpass5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== ksudoku ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ksysguard5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== ksystemlog ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kteatime ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktexteditor ====
Version update (5.24.0 -> 5.25.0)
Subpackages: ktexteditor-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* Do not ask for overwriting a file twice with native dialogs
* Added FASTQ syntax
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== ktextwidgets ====
Version update (5.24.0 -> 5.25.0)
Subpackages: ktextwidgets-devel libKF5TextWidgets5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== ktimer ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktnef ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktouch ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-accounts-kcm ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libktpaccountskcminternal9

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-approver ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-auth-handler ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-common-internals ====
Version update (16.04.3 -> 16.08.0)
Subpackages: ktp-icons

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-contact-list ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-contact-runner ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-desktop-applets ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-filetransfer-handler ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-kded-module ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-send-file ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== ktp-text-ui ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Don't use -a when copying the icon, it may be a symlink to
breeze-dark which would break if breeze5-icons is not installed
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php
- Drop patch fix_desktop.diff. The right icon is in the breeze theme,
so we just need to copy it to the right place

==== ktuberling ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kturtle ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kubrick ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kunitconversion ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kunitconversion-devel libKF5UnitConversion5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kwallet ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kwallet-devel kwallet-tools kwalletd5 libKF5Wallet5
libkwalletbackend5-5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kwalletmanager5 ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kwayland ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kwayland-devel

- Rebase fix-wayland-1.3-dependency.diff
- Update to 5.25.0
* Qt >= 5.5 is now required
* [client] Use a QPointer for the enteredSurface in Pointer
* Expose Geometry in PlasmaWindowModel
* Add a geometry event to PlasmaWindow
* [src/server] Verify that surface has a resource before sending pointer enter
* Add support for xdg-shell
* [server] Properly send a selection clear prior to keyboard focus enter
* [server] Handle no XDG_RUNTIME_DIR situation more gracefully
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kwidgetsaddons ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kwidgetsaddons-devel libKF5WidgetsAddons5

- Update to 5.25.0
* Qt >= 5.5 is now required
* [KCharSelect] Fix crash when searching with no
present data file (kde#300521)
* [KCharSelect] Handle characters outside BMP (kde#142625)
* [KCharSelect] Update kcharselect-data to Unicode 9.0.0
(kde#336360)
* KCollapsibleGroupBox: Stop animation in destructor if still running
* Update to Breeze palette (sync from KColorScheme)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kwin5 ====
Version update (5.7.3 -> 5.7.4)
Subpackages: kwin5-devel

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== kwindowsystem ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kwindowsystem-devel libKF5WindowSystem5

- Update to 5.25.0
* Qt >= 5.5 is now required
* [xcb] Ensure the compositingChanged signal is emitted if
NETEventFilter is recreated (kde#362531)
* Add a convenience API to query the windowing system/platform used by Qt
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php
- Drop upstreamed compositingchanged.patch

==== kwordquiz ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== kxmlgui ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kxmlgui-devel libKF5XmlGui5

- Update to 5.25.0
* Qt >= 5.5 is now required
* Fix minimum size hint (cut-off text) (kde#312667)
* [KToggleToolBarAction] Honor action/options_show_toolbar restriction
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== kxmlrpcclient5 ====
Version update (5.24.0 -> 5.25.0)
Subpackages: kxmlrpcclient5-devel libKF5XmlRpcClient5

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== libKF5ModemManagerQt ====
Version update (5.24.0 -> 5.25.0)
Subpackages: libKF5ModemManagerQt-devel libKF5ModemManagerQt6

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== libKF5NetworkManagerQt ====
Version update (5.24.0 -> 5.25.0)
Subpackages: libKF5NetworkManagerQt-devel libKF5NetworkManagerQt6

- Update to 5.25.0
* Qt >= 5.5 is now required
* Default to WPA2-PSK and WPA2-EAP when getting security
type from connection settings
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php
- Raise NM BuildRequires to 0.9.10.0 so it matches reality

==== libcroco ====

- Update to GNOME 3.20 Fate#318572

==== libgcrypt ====
Version update (1.6.6 -> 1.7.3)
Subpackages: libgcrypt-devel libgcrypt20 libgcrypt20-32bit

- libgcrypt 1.7.3:
* security issue already fixes with 1.6.6
* Fix building of some asm modules with older compilers and CPUs.
* ARMv8/AArch32 improvements for AES, GCM, SHA-256, and SHA-1.
- includes changes from libgcrypt 1.7.2:
* Bug fixes:
- Fix setting of the ECC cofactor if parameters are specified.
- Fix memory leak in the ECC code.
- Remove debug message about unsupported getrandom syscall.
- Fix build problems related to AVX use.
- Fix bus errors on ARM for Poly1305, ChaCha20, AES, and SHA-512.
* Internal changes:
- Improved fatal error message for wrong use of gcry_md_read.
- Disallow symmetric encryption/decryption if key is not set.
- includes changes from 1.7.1:
* Bug fixes:
- Fix ecc_verify for cofactor support.
- Fix portability bug when using gcc with Solaris 9 SPARC.
- Build fix for OpenBSD/amd64
- Add OIDs to the Serpent ciphers.
* Internal changes:
- Use getrandom system call on Linux if available.
- Blinding is now also used for RSA signature creation.
- Changed names of debug envvars
- includes changes from 1.7.0:
* New algorithms and modes:
- SHA3-224, SHA3-256, SHA3-384, SHA3-512, and MD2 hash algorithms.
- SHAKE128 and SHAKE256 extendable-output hash algorithms.
- ChaCha20 stream cipher.
- Poly1305 message authentication algorithm
- ChaCha20-Poly1305 Authenticated Encryption with Associated Data
mode.
- OCB mode.
- HMAC-MD2 for use by legacy applications.
* New curves for ECC:
- Curve25519.
- sec256k1.
- GOST R 34.10-2001 and GOST R 34.10-2012.
* Performance:
- Improved performance of KDF functions.
- Assembler optimized implementations of Blowfish and Serpent on
ARM.
- Assembler optimized implementation of 3DES on x86.
- Improved AES using the SSSE3 based vector permutation method by
Mike Hamburg.
- AVX/BMI is used for SHA-1 and SHA-256 on x86. This is for SHA-1
about 20% faster than SSSE3 and more than 100% faster than the
generic C implementation.
- 40% speedup for SHA-512 and 72% for SHA-1 on ARM Cortex-A8.
- 60-90% speedup for Whirlpool on x86.
- 300% speedup for RIPE MD-160.
- Up to 11 times speedup for CRC functions on x86.
* Other features:
- Improved ECDSA and FIPS 186-4 compliance.
- Support for Montgomery curves.
- gcry_cipher_set_sbox to tweak S-boxes of the gost28147 cipher
algorithm.
- gcry_mpi_ec_sub to subtract two points on a curve.
- gcry_mpi_ec_decode_point to decode an MPI into a point object.
- Emulation for broken Whirlpool code prior to 1.6.0. [from 1.6.1]
- Flag "pkcs1-raw" to enable PCKS#1 padding with a user supplied
hash part.
- Parameter "saltlen" to set a non-default salt length for RSA PSS.
- A SP800-90A conforming DRNG replaces the former X9.31 alternative
random number generator.
- Map deprecated RSA algo number to the RSA algo number for better
backward compatibility. [from 1.6.2]
- Use ciphertext blinding for Elgamal decryption [CVE-2014-3591].
See http://www.cs.tau.ac.il/~tromer/radioexp/ for details.
[from 1.6.3]
- Fixed data-dependent timing variations in modular exponentiation
[related to CVE-2015-0837, Last-Level Cache Side-Channel Attacks
are Practical]. [from 1.6.3]
- Flag "no-keytest" for ECC key generation. Due to a bug in
the parser that flag will also be accepted but ignored by older
version of Libgcrypt. [from 1.6.4]
- Speed up the random number generator by requiring less extra
seeding. [from 1.6.4]
- Always verify a created RSA signature to avoid private key leaks
due to hardware failures. [from 1.6.4]
- Mitigate side-channel attack on ECDH with Weierstrass curves
[CVE-2015-7511]. See http://www.cs.tau.ac.IL/~tromer/ecdh/ for
details. [from 1.6.5]
* Internal changes:
- Moved locking out to libgpg-error.
- Support of the SYSROOT envvar in the build system.
- Refactor some code.
- The availability of a 64 bit integer type is now mandatory.
* Bug fixes:
- Fixed message digest lookup by OID (regression in 1.6.0).
- Fixed a build problem on NetBSD
- Fixed some asm build problems and feature detection bugs.
* Interface changes relative to the 1.6.0 release:
gcry_cipher_final NEW macro.
GCRY_CIPHER_MODE_CFB8 NEW constant.
GCRY_CIPHER_MODE_OCB NEW.
GCRY_CIPHER_MODE_POLY1305 NEW.
gcry_cipher_set_sbox NEW macro.
gcry_mac_get_algo NEW.
GCRY_MAC_HMAC_MD2 NEW.
GCRY_MAC_HMAC_SHA3_224 NEW.
GCRY_MAC_HMAC_SHA3_256 NEW.
GCRY_MAC_HMAC_SHA3_384 NEW.
GCRY_MAC_HMAC_SHA3_512 NEW.
GCRY_MAC_POLY1305 NEW.
GCRY_MAC_POLY1305_AES NEW.
GCRY_MAC_POLY1305_CAMELLIA NEW.
GCRY_MAC_POLY1305_SEED NEW.
GCRY_MAC_POLY1305_SERPENT NEW.
GCRY_MAC_POLY1305_TWOFISH NEW.
gcry_md_extract NEW.
GCRY_MD_FLAG_BUGEMU1 NEW [from 1.6.1].
GCRY_MD_GOSTR3411_CP NEW.
GCRY_MD_SHA3_224 NEW.
GCRY_MD_SHA3_256 NEW.
GCRY_MD_SHA3_384 NEW.
GCRY_MD_SHA3_512 NEW.
GCRY_MD_SHAKE128 NEW.
GCRY_MD_SHAKE256 NEW.
gcry_mpi_ec_decode_point NEW.
gcry_mpi_ec_sub NEW.
GCRY_PK_EDDSA NEW constant.
GCRYCTL_GET_TAGLEN NEW.
GCRYCTL_SET_SBOX NEW.
GCRYCTL_SET_TAGLEN NEW.
- Apply libgcrypt-1.6.3-aliasing.patch only on big-endian
architectures
- update drbg_test.patch and install cavs testing directory again
- As DRBG is upstream, drop pateches:
v9-0001-SP800-90A-Deterministic-Random-Bit-Generator.patch
0002-Compile-DRBG.patch
0003-Function-definitions-of-interfaces-for-random.c.patch
0004-Invoke-DRBG-from-common-libgcrypt-RNG-code.patch
0005-Function-definitions-for-gcry_control-callbacks.patch
0006-DRBG-specific-gcry_control-requests.patch
v9-0007-User-interface-to-DRBG.patch
libgcrypt-fix-rng.patch
- drop obsolete:
libgcrypt-fips-dsa.patch
libgcrypt-fips_ecdsa.patch

==== libgit2-glib ====
Version update (0.24.0 -> 0.24.3)

- Update to version 0.24.3:
+ Reduce memory allocations during diff generation.
+ Fix ctime in index entry.
- Update to version 0.24.2:
+ Fix several crashes.
+ Misc bugfixing.

==== libgravatar ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5Gravatar5

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libgsf ====
Version update (1.14.39 -> 1.14.40)
Subpackages: gsf-office-thumbnailer libgsf-1-114 libgsf-devel typelib-1_0-Gsf-1

- Updated to version 1.14.40:
+ Avoid gnome-common dependency.
- Conditionally apply translations-update-upstream BuildRequires
and macro for non-openSUSE only.

==== libgweather ====
Version update (3.20.2 -> 3.20.3)
Subpackages: libgweather-3-6 libgweather-data libgweather-devel
typelib-1_0-GWeather-3_0

- Update to version 3.20.3:
+ NOAA shut down their METAR provider service, so libgweather
switched to a different provider (bgo#770321).
+ Updates translations.
- Drop libgweather-change-service-provider.patch: Fixed upstream.
- Add libgweather-change-service-provider.patch: The existing
weather service provider was expired, replace by a working
provider instead; patch taken from upstream bug report
(bgo#770321).

==== libkcddb4 ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libkcddb4-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkcompactdisc4 ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libkcompactdisc4-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkdcraw ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5KDcraw5 libkdcraw-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkdecoration2 ====
Version update (5.7.3 -> 5.7.4)
Subpackages: libkdecoration2-devel libkdecorations2-5 libkdecorations2private5

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== libkdegames ====
Version update (16.04.3 -> 16.08.0)
Subpackages: kdegames-carddecks-default libkdegames-devel libkf5kdegames6

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkdepim ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5Libkdepim5

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkeduvocdocument ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkexiv2 ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5KExiv2-15_0_0 libkexiv2-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkface ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5KFace10_0_0 libkface-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkgeomap ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5KGeoMap10_0_0 libkgeomap-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update build requirements and add necessary requires to the devel
package
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkipi ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5Kipi31_0_0 libkipi-data libkipi-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkleo ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5Libkleo5

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkmahjongg ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5KMahjongglib5 libkmahjongg-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkomparediff2 ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libksane ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5Sane5 libksane-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libkscreen2 ====
Version update (5.7.3 -> 5.7.4)
Subpackages: libKF5Screen7 libkscreen2-devel libkscreen2-plugin

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== libksieve ====
Version update (16.04.3 -> 16.08.0)

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== libksysguard5 ====
Version update (5.7.3 -> 5.7.4)
Subpackages: libksysguard5-devel libksysguard5-helper

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== libqca2 ====
Subpackages: libqca2-devel

- Add new plugin-gcrypt subpackage

==== libvirt ====
Version update (2.0.0 -> 2.1.0)
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-uml libvirt-daemon-driver-vbox libvirt-daemon-lxc
libvirt-daemon-qemu libvirt-daemon-xen

- libxl: allow vendor/product addressing for USB hostdevs
virHostdevFindUSBDevice-privsyms.patch, libxl-usb-vendor.patch
bsc#989646
- qemu: fix auth for rbd network disks
d53d4650-qemu-rbd-auth.patch
bsc#988998
- Replace cpumodel-vendor-crash-fix.patch with upstream variant
541e9ae6-cpu-vendor-crash-fix.patch
bsc#992425
- Update to libvirt 2.1.0
- New subpackages libvirt-libs and libvirt-admin
- Many incremental improvements and bug fixes, see
http://libvirt.org/news.html
- Dropped patches:
c8f08e48-systemd-notify-fix.patch
- qemu: fix qemu.conf security_driver regression in 2.1.0 release
856965b3-qemu-secdriver.patch

==== libvirt-python ====
Version update (2.0.0 -> 2.1.0)

- Update to 2.1.0
- Add all new APIs and constants in libvirt 2.1.0

==== lokalize ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== lskat ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== lsof ====

- add lsof_4.89-nfs_hanging.patch to prevent 'lsof -b' from hanging
when NFS server is unavailable [bsc#995061]

==== mailcommon ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5MailCommon5

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== mailimporter ====
Version update (16.04.3 -> 16.08.0)

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== marble ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libastro1 marble-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== messagelib ====
Version update (16.04.3 -> 16.08.0)

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== milou5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php
- Add use-iconName.patch to use iconName instead of icon if set,
that's preferred since KDE Frameworks 5.24 because having each
runner set (and lookup) an icon for the results can lead to
threading issues (boo#994983)
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0

==== mlocate ====
Subpackages: mlocate-lang

- Reduce dependencies a bit
- Update updatedb.conf wrt bnc#994663

==== mobipocket ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== mozc ====
Subpackages: fcitx-mozc ibus-mozc ibus-mozc-candidate-window mozc-gui-tools

- Disable fcitx on SLE again.

==== nss_ldap ====
Subpackages: nss_ldap-32bit

- Relabel patches:
nss_ldap.dif -> 0000-nss_ldap.dif
group-utf8.dif -> 0001-group-utf8.dif
nss_ldap-ldapconn-leak-bug418.dif ->
0002-nss_ldap-ldapconn-leak-bug418.dif
nss_ldap-getent-retry.dif -> 0003-nss_ldap-getent-retry.dif
nss_ldap-getent-skip-invalid-uidgidnumber.dif ->
0004-nss_ldap-getent-skip-invalid-uidgidnumber.dif
nss_ldap-265-glibc-2.16.patch -> 0005-nss_ldap-265-glibc-2.16.patch
nss_ldap-265-pthread.patch -> 0006-nss_ldap-265-pthread.patch
bnc#842120.dif -> 0007-bnc#842120.dif
bnc#866763.dif -> 0008-bnc#866763.dif
- Add patches:
* Resolve a connection management issue in oneshot operation mode &
Fix bad variable initialisation (bsc#934444)
0009-fix-for-BUG-412-don-t-close-nested-contexts.patch
0010-initialize-context-in-_nss_ldap_getbyname.patch
* Fix buffer management issue between glibc and LDAP (bsc#986858)
0011-When-invoked-via-glibc-the-input-buffer-is-enlarged.patch

==== obs-service-tar_scm ====
Version update (0.6.0.1469628830.67456b7 -> 0.6.1.1471594222.d257927)

- Update to version 0.6.1.1471594222.d257927:
* prefer local cache directory
* jailed mode for docker integration
* added setup of remote branches in jailed mode
* new handling for remote/local branches when caching
- cache handling will be refactored to have only one implementation
in future.

==== okteta ====
Version update (16.04.3 -> 16.08.0)
Subpackages: okteta-devel

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== okular ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== oxygen5 ====
Version update (5.7.3 -> 5.7.4)
Subpackages: oxygen5-cursors oxygen5-decoration oxygen5-devel oxygen5-lang
oxygen5-sounds oxygen5-style

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== oxygen5-icon-theme ====
Version update (5.24.0 -> 5.25.0)
Subpackages: oxygen5-icon-theme-large

- Update to 5.25.0
* Qt >= 5.5 is now required
* Add application-menu to oxygen (kde#365629)
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== pangomm ====
Version update (2.40.0 -> 2.40.1)

- Update to version 2.40.1:
+ C++11: Make all operator bool()s explicit.
+ Build: Fix silent builds (bgo#768797).

==== parley ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== patterns-openSUSE ====
Subpackages: patterns-openSUSE-apparmor patterns-openSUSE-apparmor_opt
patterns-openSUSE-base patterns-openSUSE-books patterns-openSUSE-console
patterns-openSUSE-devel_C_C++ patterns-openSUSE-devel_basis
patterns-openSUSE-devel_gnome patterns-openSUSE-devel_ide
patterns-openSUSE-devel_java patterns-openSUSE-devel_kde
patterns-openSUSE-devel_kde_frameworks patterns-openSUSE-devel_kernel
patterns-openSUSE-devel_osc_build patterns-openSUSE-devel_perl
patterns-openSUSE-devel_python patterns-openSUSE-devel_qt4
patterns-openSUSE-devel_qt5 patterns-openSUSE-devel_rpm_build
patterns-openSUSE-devel_ruby patterns-openSUSE-devel_web
patterns-openSUSE-dhcp_dns_server patterns-openSUSE-directory_server
patterns-openSUSE-enhanced_base patterns-openSUSE-enhanced_base_opt
patterns-openSUSE-file_server patterns-openSUSE-fonts
patterns-openSUSE-fonts_opt patterns-openSUSE-games
patterns-openSUSE-gateway_server patterns-openSUSE-gnome
patterns-openSUSE-gnome_admin patterns-openSUSE-gnome_basis patterns
-openSUSE-gnome_basis_opt patterns-openSUSE-gnome_games
patterns-openSUSE-gnome_ide patterns-openSUSE-gnome_imaging
patterns-openSUSE-gnome_imaging_opt patterns-openSUSE-gnome_internet
patterns-openSUSE-gnome_laptop patterns-openSUSE-gnome_multimedia
patterns-openSUSE-gnome_multimedia_opt patterns-openSUSE-gnome_office
patterns-openSUSE-gnome_office_opt patterns-openSUSE-gnome_utilities
patterns-openSUSE-gnome_yast patterns-openSUSE-imaging
patterns-openSUSE-imaging_opt patterns-openSUSE-kde
patterns-openSUSE-kde_edutainment patterns-openSUSE-kde_games
patterns-openSUSE-kde_ide patterns-openSUSE-kde_imaging
patterns-openSUSE-kde_internet patterns-openSUSE-kde_multimedia
patterns-openSUSE-kde_office patterns-openSUSE-kde_plasma
patterns-openSUSE-kde_telepathy patterns-openSUSE-kde_utilities
patterns-openSUSE-kde_utilities_opt patterns-openSUSE-kde_yast
patterns-openSUSE-kvm_server patterns-openSUSE-lamp_server
patterns-openSUSE-laptop patterns-openSUSE-lxde patterns-openSUSE-lxde_lap
top patterns-openSUSE-lxde_office patterns-openSUSE-mail_server
patterns-openSUSE-minimal_base patterns-openSUSE-minimal_base-conflicts
patterns-openSUSE-misc_server patterns-openSUSE-multimedia
patterns-openSUSE-multimedia_opt patterns-openSUSE-network_admin
patterns-openSUSE-non_oss patterns-openSUSE-non_oss_opt
patterns-openSUSE-office patterns-openSUSE-office_opt
patterns-openSUSE-print_server patterns-openSUSE-remote_desktop
patterns-openSUSE-rest_dvd patterns-openSUSE-sw_management
patterns-openSUSE-sw_management_gnome patterns-openSUSE-sw_management_kde
patterns-openSUSE-tabletpc patterns-openSUSE-technical_writing
patterns-openSUSE-x11 patterns-openSUSE-x11_opt patterns-openSUSE-x11_yast
patterns-openSUSE-xen_server patterns-openSUSE-xfce
patterns-openSUSE-xfce_basis patterns-openSUSE-xfce_laptop
patterns-openSUSE-xfce_office patterns-openSUSE-yast2_basis
patterns-openSUSE-yast2_install_wf

- Suggest instead of Recommend inkscape for the gnome_imaging_opt
pattern, so that it is not pulled in by default on default GNOME
pattern installs. Inkscape is a specialised app that users
should install on their system if they need it, and the other
desktop patterns (e.g. KDE) do not install it by default either.
- Add the 'generic_server' pattern to the DVD.
- Drop sox, vorbis-tools from console, this does not feel like the
right place for them. Same for wodim.

==== pimcommon ====
Version update (16.04.3 -> 16.08.0)
Subpackages: libKF5PimCommon5

- Build only on architectures supported by libqt5-qtwebengine
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== pixman ====
Subpackages: libpixman-1-0 libpixman-1-0-32bit libpixman-1-0-devel

- Update to GNOME 3.20 Fate#318572

==== plasma-framework ====
Version update (5.24.0 -> 5.25.0)
Subpackages: plasma-framework-components plasma-framework-devel
plasma-framework-private

- Update to 5.25.0
* Qt >= 5.5 is now required
* Keep compatiable slot createApplet with Frameworks 5.24
* Don't delete gl texture twice in thumbnail (kde#365946)
* Add translation domain to wallpaper QML object
* Don't manually delete applets
* Add a kapptemplate for Plasma Wallpaper
* Templates: register templates in own toplevel category "Plasma/"
* Templates: Update techbase wiki links in READMEs
* Define what Plasma packagestructures extend plasmashell
* Support a size for adding applets
* Define Plasma PackageStructure as regular
KPackage PackageStructure plugins
* Fix: update wallpaper example Autumn's config.qml to QtQuick.Controls
* Use KPackage to install Plasma Packages
* If we pass a QIcon as an argument to IconItem::Source, use it
* Add overlay support to Plasma IconItem
* Add Qt::Dialog to default flags to make
QXcbWindow::isTransient() happy (kde#366278)
* [Breeze Plasma Theme] Add network-flightmode-on/off icons
* Emit contextualActionsAboutToShow before showing the applet's
contextualActions menu (kde#366294)
* [TextField] Bind to TextField length instead of text
* [Button Styles] Horizontally center in icon-only mode
(kde#365947)
* [Containment] Treat HiddenStatus as low status
* Add kruler system tray icon from Yuri Fabirovsky
* Fix the infamous 'dialogs show up on the Task Manager'
bug once more
* Fix network wireless available icon with an ? emblem
(kde#355490)
* IconItem: Use better approach to disable animation when going
from invisible to visible
* Set Tooltip window type on ToolTipDialog through KWindowSystem API
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== plasma-nm5 ====
Version update (5.7.3 -> 5.7.4)
Subpackages: plasma-nm5-openconnect plasma-nm5-openvpn plasma-nm5-pptp
plasma-nm5-vpnc

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0

==== plasma5-addons ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0

==== plasma5-desktop ====
Version update (5.7.3 -> 5.7.4)

- Don't try to remove kactivities5.po anymore, they have been
removed upstream
- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php
- Add use-iconName-if-possible.patch: adjust the application menu's
search function to use the iconName if set, and change the
included runners to set the iconName instead of an icon to
prevent threading issues and speed up things (boo#994983)

==== plasma5-integration ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== plasma5-openSUSE ====
Subpackages: plasma5-desktop-branding-openSUSE
plasma5-workspace-branding-openSUSE

- Set widgetStyle=Breeze in the openSUSE look-and-feel. Using
breeze (lowercase) breaks the kconf update tool that should
change the KDE4 config on first login, resulting in KDE4
applications still using oxygen.

==== plasma5-pa ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0

==== plasma5-pk-updates ====

- Add upstream commits fix-typo-in-icon-name.patch and
use-new-breeze-icons.patch
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0

==== plasma5-session ====
Version update (5.7.2 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php
- Bump to 5.7.3

==== plasma5-workspace ====
Version update (5.7.3 -> 5.7.4)
Subpackages: drkonqi5 plasma5-workspace-devel plasma5-workspace-libs

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php
- Refresh plasma5-workspace.spec
- Add Use-iconName-instead-of-icon-in-all-runners.patch to fix
problems in KRunner caused by QIcon not being thread-safe
(boo#994983, kde#355122, kde#356957)
- Use xterm to install the debug packages in drkonqi, konsole
doesn't handle the -e parameter correctly currently
(boo#990353, kde#366793)
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0
- Add add-separate-autostart-file-for-klipper.patch to prevent
klipper from autostarting in e.g. GNOME (boo#993334)

==== polkit-kde-agent-5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== powerdevil5 ====
Version update (5.7.3 -> 5.7.4)

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== poxml ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== primus ====
Version update (20131226 -> 0+git20150328.d1afbf6)

- Update to version 0+git20150328.d1afbf6:
* Fix compilation on arm
* pass any preprocessor flags defined by environment to gcc
* Reuse initial ddpy if XOpenDisplay fails in display thread
* Avoid using primus.ddpy in match_fbconfig
* Avoid using primus.ddpy in match_visual (GH-132)
* Remove some of the remaining uses of primus.ddpy
* Defer glXChooseFBConfig from library constructor to first use (GH-151)
* Revert back to using compiler support for ifuncs (GH-153)
* Do not try to reuse ddpy fbconfig (fixes GH-160)
* Fix connect() error detection (GH-163)
- Drop merged patch type-directive.patch

==== signon-kwallet-extension ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== solid ====
Version update (5.24.0 -> 5.25.0)
Subpackages: libKF5Solid5 solid-devel solid-imports solid-tools

- Update to 5.25.0
* Qt >= 5.5 is now required
* Always update the Predicate parser from yacc/lex sources
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== sonnet ====
Version update (5.24.0 -> 5.25.0)
Subpackages: libKF5SonnetCore5 libKF5SonnetUi5 sonnet-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* hunspell: Clean up code for searching for dictionaries,
add XDG dirs (kde#361409)
* Try to fix language filter usage of language detection a bit
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== spectacle ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== sssd ====
Version update (1.14.0 -> 1.14.1)
Subpackages: libnfsidmap-sss libsss_idmap0 libsss_nss_idmap0 libsss_simpleifp0
sssd-32bit sssd-krb5-common sssd-ldap

- Update to new upstream release 1.14.1
* The IPA provider now supports logins with enterprise principals (also
known as additional UPN suffixes). This functionality also enabled Active
Directory users from trusted AD domains who use an additional UPN suffix
to log in. Please note that this feature requires a recent IPA server.
* When a user name is overriden in an IPA domain, resolving a group these
users are a member of now returns the overriden user names
* Users can be looked up by and log in with their e-mail address as an
identifier. In order to do so, an attribute that represents the user's
e-mail address is fetched by default. This attribute can by customized
by setting the ldap_user_email configuration option.
* A new ad_enabled_domains option was added. This option lets the
administrator select domains that SSSD should attempt to reach in the
AD forest SSSD is joined to. This option is useful for deployments where
not all domains are reachable on the network level, yet the administrator
needs to access some trusted domains and therefore disabling the subdomains
provider completely is not desirable.
* The sssctl tool has two new commands active-server and servers that
allow the administrator to observe the server that SSSD is bound to and
the servers that SSSD autodiscovered
* SSSD used to fail to start when an attribute name is present in both
the default SSSD attribute map and the custom ldap_user_extra_attrs map
* GPO policy procesing no longer fails if the gPCMachineExtensionNames
attribute only contains whitespaces
* Several commits fix regressions related to switching all user and group
names to fully qualified format, such as running initgroups for a user
who is only a member of a primary group
* Several patches fix regressions caused by splitting the database into
two ldb files, such as when user attributes change without increasing
the modifyTimestamp attribute value
* systemd unit files are now shipped for the sssd-secrets responder,
allowing the responder to be socket-activated. To do so, administrators
should enable the sssd-secrets.socket and sssd-secrets.service systemd
units.
* The sssd binary has a new switch --disable-netlink that lets sssd skip
messages from the kernel's netlink interface.
* A crash when entries with special characters such as '(' were requested
was fixed
* The ldap_rfc_2307_fallback_to_local_users option was broken in the
previous version. This release fixes the functionality.

==== step ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== sweeper ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== syndication ====
Version update (16.04.3 -> 16.08.0)

- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== systemsettings5 ====
Version update (5.7.3 -> 5.7.4)
Subpackages: systemsettings5-devel

- Update to 5.7.4
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.4.php

==== telepathy-glib ====
Subpackages: libtelepathy-glib0 typelib-1_0-TelepathyGlib-0_12

- Update to GNOME 3.20 Fate#318572
- Remove upstreamed patches: 0001-fix-file-path-leaks.patch
0001-tp_list_connection_managers_async-terminate-properly.patch

==== threadweaver ====
Version update (5.24.0 -> 5.25.0)
Subpackages: libKF5ThreadWeaver5 threadweaver-devel

- Update to 5.25.0
* Qt >= 5.5 is now required
* For more details please see:
https://www.kde.org/announcements/kde-frameworks-5.25.0.php

==== umbrello ====
Version update (16.04.3 -> 16.08.0)

- Don't rename the icon files any more, this breaks the build as
they are not found
- Update to KDE Applications 16.08.0
* KDE Applications 16.08.0
* https://www.kde.org/announcements/announce-applications-16.08.0.php
- Update to KDE Applications 16.07.90
* KDE Applications 16.07.90 (16.08-RC)
* https://www.kde.org/announcements/announce-applications-16.07.90.php

==== usb_modeswitch ====
Subpackages: usb_modeswitch-data

- Install required usb_modeswitch@.service, fixes boo#994763

==== yast2 ====
Version update (3.1.203 -> 3.1.205)

- Packages: remove warning icon from package callbacks.
(bnc#988949)
- 3.1.205
- Set AutoYaST default timeout entries for reporting errors
correctly and do not overwrite AutoYaST profile settings.
(bnc#988949)
- 3.1.204

==== yast2-bootloader ====
Version update (3.1.199 -> 3.1.203)

- import properly device map in autoyast profile (found during
debugging bnc#995627)
- log device map entries before written them, to allow easier
debugging of augeas lenses failure (bnc#995627)
- 3.1.203
- fix crash when activating partition on md raid (bnc#995627)
- 3.1.202
- warn user if enabling TPM when not available (bsc#994556)
- 3.1.201
- fix proposing generic mbr if proposed to boot from MBR
( found during debugging bnc#994348 )
- 3.1.200

==== yast2-installation ====
Version update (3.1.210 -> 3.1.213)

- Move the installer self update step earlier in the workflow
so the user entered values are not lost after restart and avoid
repeating some steps again (bsc#985055)
- This also fixes losing some values due to restaring YaST (bsc#993690),
(bsc#992608)
- Improved the self update URL handling - the boot parameter has
the highest priority, always ask user when a SLP service is found,
in AutoYaST mode SLP needs to be enabled in the profile
- Display progress when downloading and applying the updates
- 3.1.213
- Replace unicode bullet char by asterisk for ncurses (bsc#995082)
- 3.1.212
- fix writing proposals (bnc#994127)
- 3.1.211

==== yast2-network ====
Version update (3.1.167 -> 3.1.168)

- bnc#993587
- installer is able to newly configured set devices up in case of
ssh/vnc installation
- 3.1.168

==== yast2-packager ====
Version update (3.1.115 -> 3.1.116)

- Always enable "Next" button in license confirmation dialog,
because even if not accepted, popup is shown to user
(bnc#993530).
- Use the same popup when license not confirmed for base product in
the license confirmation dialog (bnc#993530).
- 3.1.116

==== yast2-storage ====
Version update (3.1.101 -> 3.1.102)

- Don't check for installer restart as it's not needed anymore
(bsc#985055)
- 3.1.102

==== yast2-update ====
Version update (3.1.41 -> 3.1.42)

- The update installer has been moved earlier in the workflow. We
don't need to store data to remember selected target/partitions
anymore. (bsc#988287)
- 3.1.42

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
This Thread
  • No further messages